Index: trunk/spip/esqueleto-redcta/themes/redcta/login.html
===================================================================
--- trunk/spip/esqueleto-redcta/themes/redcta/login.html	(revision 78)
+++ trunk/spip/esqueleto-redcta/themes/redcta/login.html	(revision 78)
@@ -0,0 +1,55 @@
+#CACHE{24 * 3600}
+#HTTP_HEADER{"Cache-Control: no-store, no-cache, must-revalidate"}
+#HTTP_HEADER{Pragma: no-cache}
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
+    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="#LANG" lang="#LANG">
+<head>
+  <title> 404 - [(#NOM_SITE_SPIP|textebrut)]</title>
+
+	
+	<!-- Icono del Sitio para incluir en favoritos -->
+	<link rel="shortcut icon" type="image/gif" href="#DOSSIER_SQUELETTE/img/icon.gif" />
+	<INCLURE{fond=inc/inc-head}{lang}>	
+	<meta name="robots" content="none" />
+</head>
+
+<body>
+<div id="pagina">
+	<INCLURE{fond=inc/inc-cabeza}{lang}>
+	<INCLURE{fond=inc/inc-barracabeza}{lang}>		
+	
+	<div id="cuerpo"><div id="estructura">cuerpo</div>
+		<div id="columnaizquierda"><div id="estructura">columnaizquierda</div>
+			<INCLURE{fond=inc/inc-menu-principal}{lang}>	
+		</div><!-- columnaizquierda -->
+		<div id="contenido"><div id="estructura">contenido</div>
+			<h2>#NOM_SITE_SPIP</h2>
+		<h4><:login_acces_prive:></h4>
+		#MENU_LANG_ECRIRE
+		#LOGIN_PRIVE
+		<div style='text-align: center;font-family: Verdana,arial,helvetica,sans-serif; font-size: 12px;'>
+			[&#91;<a style='color: #e86519'
+				href='spip_inscription.php3?mode=(#URL_SITE_SPIP|tester_config{mode_inscription})&amp;focus=nom_inscription'
+				target="spip_pass"
+				onclick="javascript:window.open(this.href, 'spip_pass', 'scrollbars=yes, resizable=yes, width=480, height=500'); return false;"><:login_sinscrire:></a>&#93;]
+			&#91;<a style='color: #e86519'
+				href="spip_pass.php3"
+				target="spip_pass" 
+				onclick="javascript:window.open(this.href, 'spip_pass', 'scrollbars=yes, resizable=yes, width=480, height=280'); return false;"><:login_motpasseoublie:></a>&#93;
+			&#91;<a style='color: #e86519' href="#URL_SITE_SPIP/"><:login_retoursitepublic:></a>&#93;
+		</div>
+		
+		</div><!-- contenido -->
+		<div id="columnaderecha">
+			<div id="estructura">columnaderecha</div>
+			 	<INCLURE{fond=inc/inc-avisos}{lang}>	
+			</div><!-- columnaderecha -->
+  </div><!-- cuerpo -->
+  <INCLURE{fond=inc/inc-piegral}{lang}>	
+<!-- Formulario de administracion-->
+[(#FORMULAIRE_ADMIN)]		
+</div><!-- pagina -->
+
+</body>
+</html>
Index: trunk/spip/esqueleto-redcta/themes/redcta/recherche.html
===================================================================
--- trunk/spip/esqueleto-redcta/themes/redcta/recherche.html	(revision 78)
+++ trunk/spip/esqueleto-redcta/themes/redcta/recherche.html	(revision 78)
@@ -0,0 +1,98 @@
+#CACHE{24 * 3600}
+#HTTP_HEADER{"Cache-Control: no-store, no-cache, must-revalidate"}
+#HTTP_HEADER{Pragma: no-cache}
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
+    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="#LANG" lang="#LANG">
+<head>
+  <title> 404 - [(#NOM_SITE_SPIP|textebrut)]</title>
+
+	
+	<!-- Icono del Sitio para incluir en favoritos -->
+	<link rel="shortcut icon" type="image/gif" href="#DOSSIER_SQUELETTE/img/icon.gif" />
+	<INCLURE{fond=inc/inc-head}{lang}>	
+	<meta name="robots" content="none" />
+</head>
+
+<body>
+<div id="pagina">
+	<INCLURE{fond=inc/inc-cabeza}{lang}>
+	<INCLURE{fond=inc/inc-barracabeza}{lang}>		
+	
+	<div id="cuerpo"><div id="estructura">cuerpo</div>
+		<div id="columnaizquierda"><div id="estructura">columnaizquierda</div>
+			<INCLURE{fond=inc/inc-menu-principal}{lang}>	
+		</div><!-- columnaizquierda -->
+		<div id="contenido"><div id="estructura">contenido</div>
+			<BOUCLE_rub_exclus (RUBRIQUES){racine} {titre_mot=menu principal} >
+				<BOUCLE_exclus(ARTICLES){id_rubrique}{lang}{doublons permitidos}>
+				</BOUCLE_exclus>
+				</BOUCLE_rub_exclus>
+				<BOUCLE_archive_excluidos(ARTICLES){par date} {inverse} {lang}{doublons permitidos}{doublons excluidos}>
+				</BOUCLE_archive_excluidos>
+			<div class="cartouche">
+     				<div class="surtitre"><:resultats_recherche:></div>
+      				[<h1 class="titre-article">(#RECHERCHE|majuscules)</h1>]    
+			</div><!-- cartouche -->
+    			<B_rubriques>
+			<h2><:info_rubriques_trouvees:> : [(#TOTAL_BOUCLE)]</h2>
+			<BOUCLE_rubriques(RUBRIQUES)  {recherche} {lang_select=non} {par points} {inverse}{tout} >
+				<h3><a href="#URL_SITE_SPIP/spip.php?action=cookie&amp;url=#URL_SITE_SPIP%2F#URL_RUBRIQUE&amp;var_lang=#LANG" hreflang="#LANG"[title="(#DESCRIPTIF|textebrut|entites_html)"]>[(#TITRE|supprimer_numero)]</a> [<dfn><small>&#8212; (#LANG)</small></dfn>]</h3>
+			</BOUCLE_rubriques>
+			<br />
+    			</B_rubriques>
+    			<B_articles>
+				<h2><:info_articles_trouves:> : [(#TOTAL_BOUCLE)]</h2>
+    				<BOUCLE_articles(ARTICLES)  {recherche} {lang_select=non} {par points} {inverse} {doublons excluidos} >
+      					<h3><a href="#URL_SITE_SPIP/spip.php?action=cookie&amp;url=#URL_SITE_SPIP%2F#URL_ARTICLE&amp;var_lang=#LANG" hreflang="#LANG" [title="(#DESCRIPTIF|textebrut|entites_html)"]>[(#TITRE|supprimer_numero)]</a></h3>
+      					<div class="detail">
+        					[(#DATE|nom_jour)] [(#DATE|affdate)]
+        					<B_auteurs_articles><:par_auteur:> 
+						<BOUCLE_auteurs_articles(AUTEURS) {id_article} {", "}>#NOM</BOUCLE_auteurs_articles> - [<dfn>(#LANG|traduire_nom_langue)</dfn>]
+      					</div><!-- detail -->
+					<br />
+    				</BOUCLE_articles>
+      				<br />
+    			</B_articles>
+			[(#REM) Si aucun resultat, on affiche le formulaire de recherche
+        		If no result, we display the research form ] 
+        		<BOUCLE_rub_result(RUBRIQUES){recherche}{par points}{inverse}> 
+			</BOUCLE_rub_result>
+			<BOUCLE_art_result(ARTICLES){recherche}{par points}{inverse}> 
+			</BOUCLE_art_result>
+			<BOUCLE_breves_result(BREVES){recherche}{par points}{inverse}> 
+			</BOUCLE_breves_result>
+			<BOUCLE_forums_result(FORUMS){recherche}{par points}{inverse}> 
+			</BOUCLE_forums_result>
+			<BOUCLE_sites_result(SITES){recherche}{par points}{inverse}> 
+			</BOUCLE_sites_result>
+			<BOUCLE_auteurs_result(AUTEURS){recherche}{par points}{inverse}> 
+			</BOUCLE_auteurs_result>
+			<BOUCLE_mots_result(AUTEURS){recherche}{par points}{inverse}> 
+			</BOUCLE_mots_result>
+			<div class="surtitre"><:avis_aucun_resultat:></div>
+      				<div class="detail">
+        				<h1 class="titre-article"><:info_rechercher:></h1>
+          				[(#FORMULAIRE_RECHERCHE)]
+          				<br />
+      				</div><!-- detail -->
+      			<//B_mots_result> 
+			<//B_auteurs_result> 
+			<//B_sites_result> 
+			<//B_forums_result> 
+			<//B_breves_result> 
+			<//B_art_result> 
+			<//B_rub_result>
+			</div><!-- contenido -->
+		<div id="columnaderecha">
+			<div id="estructura">columnaderecha</div>
+			 	<INCLURE{fond=inc/inc-avisos}{lang}>	
+			</div><!-- columnaderecha -->
+  </div><!-- cuerpo -->
+  <INCLURE{fond=inc/inc-piegral}{lang}>	
+<!-- Formulario de administracion-->
+[(#FORMULAIRE_ADMIN)]		
+</div><!-- pagina -->
+
+</body>
+</html>
Index: trunk/spip/esqueleto-redcta/themes/redcta/suscripcion.html
===================================================================
--- trunk/spip/esqueleto-redcta/themes/redcta/suscripcion.html	(revision 78)
+++ trunk/spip/esqueleto-redcta/themes/redcta/suscripcion.html	(revision 78)
@@ -0,0 +1,41 @@
+#CACHE{24 * 3600}
+#HTTP_HEADER{"Cache-Control: no-store, no-cache, must-revalidate"}
+#HTTP_HEADER{Pragma: no-cache}
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
+    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="#LANG" lang="#LANG">
+<head>
+  <title> 404 - [(#NOM_SITE_SPIP|textebrut)]</title>
+
+	
+	<!-- Icono del Sitio para incluir en favoritos -->
+	<link rel="shortcut icon" type="image/gif" href="#DOSSIER_SQUELETTE/img/icon.gif" />
+	<INCLURE{fond=inc/inc-head}{lang}>	
+	<meta name="robots" content="none" />
+</head>
+
+<body>
+<div id="pagina">
+	<INCLURE{fond=inc/inc-cabeza}{lang}>
+	<INCLURE{fond=inc/inc-barracabeza}{lang}>		
+	
+	<div id="cuerpo"><div id="estructura">cuerpo</div>
+		<div id="columnaizquierda"><div id="estructura">columnaizquierda</div>
+			<INCLURE{fond=inc/inc-menu-principal}{lang}>	
+		</div><!-- columnaizquierda -->
+		<div id="contenido"><div id="estructura">contenido</div>
+			<div class="menu">#FORMULAIRE_ABOMAILMAN
+	</div>
+		</div><!-- contenido -->
+		<div id="columnaderecha">
+			<div id="estructura">columnaderecha</div>
+			 	<INCLURE{fond=inc/inc-avisos}{lang}>	
+			</div><!-- columnaderecha -->
+  </div><!-- cuerpo -->
+  <INCLURE{fond=inc/inc-piegral}{lang}>	
+<!-- Formulario de administracion-->
+[(#FORMULAIRE_ADMIN)]		
+</div><!-- pagina -->
+
+</body>
+</html>