Index: trunk/spip/esqueleto-redcta/pages-custom/destacada_lateral.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/destacada_lateral.html	(revision 91)
+++ trunk/spip/esqueleto-redcta/pages-custom/destacada_lateral.html	(revision 91)
@@ -0,0 +1,23 @@
+<B_articles_por_secciones1>
+	<div id="dernarticles" class="listagebloc">								
+		<BOUCLE_articles_por_secciones1(ARTICLES){titre_mot=destacada lateral}{lang} {par id_rubrique}>
+      		<BOUCLE_nom_rub3 (RUBRIQUES){id_rubrique}>
+				[
+					<div class="cortepirulo"></div>
+					<div id="rubriquepirulo"><a href="#URL_RUBRIQUE">(#TITRE|supprimer_numero|unique{aca})</a></div>
+				]
+			</BOUCLE_nom_rub3>
+			<div class="spacepirulo"></div>
+                        [(#INCLURE{fond=formatage_logo_liste}{id_article}{conteneur=#ENV{conteneur}})]
+			<BOUCLE_foto(DOCUMENTS){id_article}{mode=image}{0,1}>
+				[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{110,0})]
+            </BOUCLE_foto>
+			[<div class="surtitrep #EDIT{surtitre}">(#SURTITRE)</div>]
+			<div class="h5p">
+				<a href="#URL_ARTICLE">[(#TITRE|supprimer_numero)]</a>
+			</div>
+			[<div class="sous-titrep #EDIT{soustitre}">(#SOUSTITRE)</div>]
+		</BOUCLE_articles_por_secciones1>
+	</div>
+</B_articles_por_secciones1>
+<!-- Fin Por las secciones -->
Index: trunk/spip/esqueleto-redcta/pages-custom/gabarits/ajout-sommaire.xml
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/gabarits/ajout-sommaire.xml	(revision 91)
+++ trunk/spip/esqueleto-redcta/pages-custom/gabarits/ajout-sommaire.xml	(revision 91)
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="utf-8"?>
+<gabarit type="defaut">
+<bloc statut="1" >menu_principal</bloc>
+<bloc statut="3" param="1,2,3" paramdefaut="1" paramdescr="nombre_articles_affiches">nota_principal</bloc>
+<bloc statut="3" param="1,2,3" paramdefaut="1" paramdescr="nombre_articles_affiches">nota_secundaria</bloc>
+<bloc statut="3" >notas_destacadas</bloc>
+<bloc statut="2" >destacada_lateral</bloc>
+</gabarit>
Index: trunk/spip/esqueleto-redcta/pages-custom/menu_principal.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/menu_principal.html	(revision 91)
+++ trunk/spip/esqueleto-redcta/pages-custom/menu_principal.html	(revision 91)
@@ -0,0 +1,73 @@
+[(#REM)
+	Barre de navigation, ouverte sur la hierarchie courante
+
+	On fait un plan, et, quand on avance vers une rubrique,
+	on l'affiche si son parent est expose ou est la racine du site. ]
+
+
+
+
+<div class="menu" id="menusecciones">
+  <div class="menuseccionesarriba"></div>	
+
+	<ul class="listagebloc">
+    	<li class="titulo">
+			<div class='menuseccionesitem'>
+				<a href="#URL_SITE_SPIP">Principal</a>
+			</div>
+         </li>
+<B_rubriques>
+	<BOUCLE_rubriques(RUBRIQUES) {racine}{titre_mot=menu principal} {par num titre, titre}>
+		<li class="titulo">
+			<div class='menuseccionesitem#EXPOSE'>
+			<a href="#URL_RUBRIQUE"[ class="(#EXPOSE)"]>[(#TITRE|supprimer_numero|couper{80})]</a>
+			</div>
+			<B_articulosmenu>
+			<ul>
+			<BOUCLE_articulosmenu(ARTICLES) {id_rubrique} {titre_mot=menu principal} {par num titre}{doublons}>
+				<li>
+					</li>
+						<div class="menuseccionesitem-sub#EXPOSE">
+							<a href="#URL_ARTICLE" [title="(#DESCRIPTIF|textebrut|entites_html)"]>[(#TITRE|supprimer_numero)]</a>
+						</div>
+					</li>	
+				</BOUCLE_articulosmenu>	
+				</ul>
+				</B_articulosmenu>
+			<B_sous_rubriques>
+			<ul>
+				
+				<BOUCLE_sous_rubriques(RUBRIQUES) {id_parent} {par num titre, titre}><BOUCLE_test_expose(RUBRIQUES) {id_enfant}>#EXPOSE{' '}</BOUCLE_test_expose>
+					<li>
+						<div class='menuseccionesitem-sub#EXPOSE'>
+						<a href="#URL_RUBRIQUE"[ class="(#EXPOSE)"]>[(#TITRE|supprimer_numero|couper{80})]</a>
+						</div>
+						<BOUCLE_re(BOUCLE_sous_rubriques)></BOUCLE_re>	
+					</li>
+				</B_test_expose></BOUCLE_sous_rubriques>
+			</ul>
+			</B_sous_rubriques>
+
+		</li>
+	</BOUCLE_rubriques>
+			<B_articulosmenusueltos>
+			<ul>
+			<BOUCLE_articulosmenusueltos(ARTICLES) {titre_mot=menu principal} {par num titre}{doublons}>
+				<li>
+					</li>
+						<div class="menuseccionesitem">
+							<a href="#URL_ARTICLE" [title="(#DESCRIPTIF|textebrut|entites_html)"]>[(#TITRE|supprimer_numero)]</a>
+						</div>
+					</li>	
+				</BOUCLE_articulosmenusueltos>	
+				</ul>
+				</B_articulosmenusueltos>
+
+	</ul>
+
+<div class="menuseccionesabajo"></div>	
+
+</B_rubriques>
+	</div><!-- menusecciones -->
+
+	
Index: trunk/spip/esqueleto-redcta/pages-custom/nota_principal.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/nota_principal.html	(revision 91)
+++ trunk/spip/esqueleto-redcta/pages-custom/nota_principal.html	(revision 91)
@@ -0,0 +1,33 @@
+<B_principal>
+<BOUCLE_principal(ARTICLES) {titre_mot=nota principal} {par date} {inverse}{0,#ENV{parametre}}{doublons}>
+	<div id="nota_principal" class="article-une">
+	<ul>
+        <table><tr><td>
+		<div class="volantadest1">
+			<B_foto>
+			<BOUCLE_foto(DOCUMENTS){id_article}{mode=image}{0,1}>
+				[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{140,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]
+            		</BOUCLE_foto>
+            		</B_foto>
+            		         [(#LOGO_ARTICLE|right|#URL_ARTICLE|image_reduire{140,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})] 
+			<//B_foto>
+		</div>
+		<a href="#URL_ARTICLE">
+			<b>#SURTITRE</b>
+			<h4 class="listagetitre">#TITRE</h4></a>
+				<BOUCLE_date(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur=true}>
+                                  <strong>[(#DATE|nom_jour) ][(#DATE|affdate)]</strong> 
+                              </BOUCLE_date>
+			<div class="listagetexte #EDIT{chapo}">
+				#CHAPO
+				<BOUCLE_suite(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur3=true}><p class="listagesuite"><a href="#URL_ARTICLE"><:suite:></a></p></BOUCLE_suite>
+			</div>
+			
+	</td></tr></table>
+        </ul>	
+	</div>
+</BOUCLE_principal>
+
+</B_principal>
+<INCLURE{fond=inc/inc-instalacion}{lang}>
+<//B_principal>
Index: trunk/spip/esqueleto-redcta/pages-custom/nota_secundaria.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/nota_secundaria.html	(revision 91)
+++ trunk/spip/esqueleto-redcta/pages-custom/nota_secundaria.html	(revision 91)
@@ -0,0 +1,31 @@
+<B_principal>
+<BOUCLE_principal(ARTICLES) {titre_mot=nota secundaria} {par date} {inverse}{0,#ENV{parametre}}{doublons}>
+	<div id="nota_principal" class="article-une">
+	<ul>
+	<table><tr><td>
+		<div class="volantadest1">
+                        <B_foto>
+                        <BOUCLE_foto(DOCUMENTS){id_article}{mode=image}{0,1}>
+                                [(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{120,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]
+                        </BOUCLE_foto>
+                        </B_foto>
+                                 [(#LOGO_ARTICLE|right|#URL_ARTICLE|image_reduire{120,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})] 
+                        <//B_foto>			
+		</div>
+		<a href="#URL_ARTICLE">
+			<b>#SURTITRE</b>
+			<h4 class="listagetitre">#TITRE</h4></a>
+				<BOUCLE_date(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur=true}>
+                                  <strong>[(#DATE|nom_jour) ][(#DATE|affdate)]</strong> 
+                              </BOUCLE_date>
+			<div class="listagetexte #EDIT{chapo}">
+				#CHAPO
+				<BOUCLE_suite(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur3=true}><p class="listagesuite"><a href="#URL_ARTICLE"><:suite:></a></p></BOUCLE_suite>
+			</div>
+			
+	</td></tr></table>
+	</ul>	
+	</div>
+</BOUCLE_principal>
+
+</B_principal>
Index: trunk/spip/esqueleto-redcta/pages-custom/notas_destacadas.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/notas_destacadas.html	(revision 91)
+++ trunk/spip/esqueleto-redcta/pages-custom/notas_destacadas.html	(revision 91)
@@ -0,0 +1,36 @@
+<BOUCLE_nom_rub2 (RUBRIQUES)>
+	<B_articles_por_secciones>
+	<div id="dernarticles" class="listagebloc">
+	<BOUCLE_laruborig(RUBRIQUES){id_rubrique}>[<h2><a href="#URL_RUBRIQUE">(#TITRE|supprimer_numero)</a></h2>]</BOUCLE_laruborig>
+	
+	<ul class="listageconteneur">
+	<BOUCLE_articles_por_secciones(ARTICLES) {lang?}{id_rubrique}{titre_mot=nota destacada}{par date}{inverse}{unique}>
+				<li>
+				<table width="100%"><TR><TD>
+					 <B_foto>
+                                          <BOUCLE_foto(DOCUMENTS){id_article}{mode=image}{0,1}>
+                                          [(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0})]]
+                                          [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0})]]
+                                          [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{#FOTOLISTWIDTH,0})]]
+                                          [(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{110,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]
+                                          </BOUCLE_foto>
+                                          </B_foto>
+                                          [(#LOGO_ARTICLE|right|#URL_ARTICLE|image_reduire{110,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})] 
+                                          <//B_foto>
+					[<div class="surtitre #EDIT{surtitre}">(#SURTITRE)</div>]
+					[<h4 class="listagetitre"><a href="#URL_ARTICLE">(#TITRE|supprimer_numero)</a></h4>]
+      					[<div class="sous-titre #EDIT{soustitre}">(#SOUSTITRE)</div>]
+					<BOUCLE_date(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur=true}>
+						<strong>[(#DATE|nom_jour) ][(#DATE|affdate)]</strong> 
+					</BOUCLE_date>
+					[<div class="listagetexte #EDIT{chapo}">(#DESCRIPTIF|?{#DESCRIPTIF,#CHAPO})</div>]
+					<BOUCLE_suite(SPIP_ARTY_PARAMETRES){parametre=date_auteur}{valeur3=true}>
+						<p class="listagesuite"><a href="#URL_ARTICLE"><:suite:></a></p>
+					</BOUCLE_suite>
+				</TD></TR></table>
+				</li>
+	</BOUCLE_articles_por_secciones>
+	</ul>
+	</div>	
+	</B_articles_por_secciones><!-- Fin Por las secciones -->
+</BOUCLE_nom_rub2>