Index: /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-contenido-article.html
===================================================================
--- /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-contenido-article.html	(revision 94)
+++ /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-contenido-article.html	(revision 94)
@@ -0,0 +1,116 @@
+<BOUCLE_article_principal(ARTICLES) {id_article} >
+			<div id="avisoprincipal">
+				
+			</div><!-- avisoprincipal -->
+			<div id="bloquearriba">
+				<div id="estructura"><:bloquearriba:></div>
+				        <h5><B_rubriques_chemin>
+            <BOUCLE_rubriques_chemin(HIERARCHIE){id_article}{" <b class='separateur'>&gt;</b> "}>
+              <a href="#URL_SITE_SPIP/#URL_RUBRIQUE">[(#TITRE|supprimer_numero)]</a>
+            </BOUCLE_rubriques_chemin>
+        </h5>
+
+				
+				<div class="cartouche">
+				<div class="iconitos" style="float:right; margin-top:5px ; text-align:right; border:0px">
+					#ENVIAR_EMAIL** 
+					#IMPRIMIR_DOCUMENTO**
+					<a HREF="#" onClick="window.open('spip.php?page=article_pdf&id_article=#ID_ARTICLE','_blank','toolbar=0, location=0, directories=0, status=0, scrollbars=0, resizable=0, copyhistory=0, menuBar=0, width=400, height=620');return(false)">
+						<img src="#DOSSIER_SQUELETTE/img/crear_pdf.gif" / style="border:0px ">
+					</a>
+				</div>
+				
+				
+				<BOUCLE_comunicadodeprensa(MOTS){id_rubrique}{titre=comunicado de prensa}{0,1}>
+					[(#LOGO_MOT|center)]
+				</BOUCLE_comunicadodeprensa>
+				
+				[(#LOGO_ARTICLE||image_reduire{200,200})]
+				[<p class="surtitre">(#SURTITRE)</p>]
+				<h3>[(#TITRE|supprimer_numero)]</h3>
+				[<p class="soustitre">(#SOUSTITRE)</p>]
+				
+				<BOUCLE_sivafecha(MOTS){id_rubrique}{titre=con fecha}>
+
+				<p><small>[(#DATE|nom_jour) ][(#DATE|affdate)][, <:par_auteur:> (#LESAUTEURS)]</small></p>
+				</BOUCLE_sivafecha>
+				[(#REM) Inclure le modele des liens de traductions ]
+				#MODELE{article_traductions}
+
+			</div>
+			
+			#DEBUT_SURLIGNE
+			[<div class="chapo">(#CHAPO)</div>]
+			[<div id="sommaire">
+				<h4><:icone_brouteur:></h4> [(#REM) = "Navigation rapide" on aurait prefere "Sommaire", mais pas de traduction ]
+				(#TEXTE*|sommaire_article|propre)
+			</div>]
+			<br class="nettoyeur" />
+			[<p class="lien"><:voir_en_ligne:> : <a href="(#URL_SITE)" class="spip_out">[(#NOM_SITE|sinon{[(#URL_SITE|couper{80})]})]</a></p>]
+			[<div class="texte">(#TEXTE*|decouper_en_page{#ID_ARTICLE}|propre|reduire_image{510,0})</div>]
+			#FIN_SURLIGNE
+
+			[(#REM) Portfolio : album d'images ]
+			<B_afficher_document>
+			
+			<BOUCLE_afficher_document(DOCUMENTS) {id_document} {id_article} {mode=document}{extension IN png,jpg,gif}>
+			<center><hr /><div class="spip_documents spip_documents_center" id="document_actif">
+				[(#EMBED_DOCUMENT|image_reduire{510,0})]
+				[<div class="spip_doc_titre">(#TITRE)</div>]
+				[<div class="spip_doc_descriptif">(#DESCRIPTIF)</div>]
+			</div></center>
+			</BOUCLE_afficher_document>
+			</B_afficher_document>
+			<B_documents_portfolio>
+			<div id="documents_portfolio">
+				<h3>Galeria de Imagenes<small><small><i> - Click en las miniaturas para agrandarlas</i> </small></small></h3>
+				<BOUCLE_documents_portfolio(DOCUMENTS) {id_article} {mode=document} {extension IN png,jpg,gif} {par num titre, date} >
+				[<a href="#URL_DOCUMENT" type="#MIME_TYPE" onclick="location.href='[(#URL_ARTICLE|parametre_url{id_document,#ID_DOCUMENT})]#documents_portfolio';return false;"[ title="(#TITRE|couper{80}|texte_backend)"]>(#LOGO_DOCUMENT||image_reduire{0,60}|inserer_attribut{alt,[(#TITRE|couper{80}|texte_backend)]})</a>]
+				</BOUCLE_documents_portfolio>
+			</div>
+			</B_documents_portfolio>
+			
+
+			
+			[<div class="ps"><h2><:info_ps:></h2>#DEBUT_SURLIGNE(#PS)#FIN_SURLIGNE</div>]
+
+			[(#REM) Autres documents joints a l'article ]
+			<B_documents_joints>
+			<div><hr />
+				<BOUCLE_documents_joints(DOCUMENTS) {id_article} {mode=document} {par num titre, date} {doublons}>
+					<div style="float: left;">
+						[(#LOGO_DOCUMENT|#URL_DOCUMENT)][<div style="clear: both;"><b>(#TITRE)</b></div>][<div style="clear: both;">(#DESCRIPTIF)</div>]
+					</div>
+				</BOUCLE_documents_joints>
+			</div>
+			<div style="clear: both;"></div>
+		</B_documents_joints>
+				
+				
+				
+				
+
+	
+	<?php  if ($nombreRubrique + $nombreArticle == 0) { ?>
+	<style>#boite-srubrique-rubrique {display: none;}</style>
+	<?php } ?>
+			</div><!-- bloquearriba -->
+			<div id="bloquemedio">
+				<BOUCLE_seccion(RUBRIQUES){id_rubrique}>
+				<B_art_mot2>
+						<div style="border-bottom:1px solid #0066CC; "></div>
+					<div class="regional">
+						<img src="#URL_SITE_SPIP/#DOSSIER_SQUELETTE/img/boton.gif" /> 
+						[(#TITRE|supprimer_numero)] 
+						[ <span class="detalleregional"> -(#DESCRIPTIF)-</span>] 
+					</div>
+					<BOUCLE_art_mot2(ARTICLES){titre_mot=#TITRE} {par date}{inverse}>
+   						<div class="tituloarticulo" style="font-size:85% "><a href="#URL_BREVE"><strong>[(#TITRE|supprimer_numero)]</strong></a>[ - (#DATE|nom_jour) ][(#DATE|affdate)]<br /></div>
+					</BOUCLE_art_mot2>
+				</B_art_mot2>
+				</BOUCLE_seccion>
+			</div><!-- bloquemedio -->
+			<div id="bloqueabajo"><div id="estructura">bloqueabajo</div>
+			
+			</div>	
+			</BOUCLE_article_principal>
Index: /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-contenido-rubrique.html
===================================================================
--- /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-contenido-rubrique.html	(revision 94)
+++ /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-contenido-rubrique.html	(revision 94)
@@ -0,0 +1,196 @@
+<BOUCLE_rubrica(RUBRIQUES) {id_rubrique}>
+			<div id="avisoprincipal">
+			</div><!-- avisoprincipal -->
+			[(#REM) Fil d'Ariane ]
+	<div id="hierarchie">
+		<h5>
+			<a href="#URL_SITE_SPIP/"><:accueil_site:></a>
+			<BOUCLE_ariane(HIERARCHIE){id_rubrique}> &gt; 
+				<a href="#URL_RUBRIQUE">
+					[(#TITRE|supprimer_numero|couper{80})]
+				</a>
+			</BOUCLE_ariane>
+			[ &gt; (#TITRE|supprimer_numero|couper{80})]
+		</h5>
+	</div>
+
+			<div id="bloquearriba">
+				<div id="estructura"><:bloquearriba:></div>
+
+				<table border="0" cellspacing="0" cellpadding="0">
+  <tr>
+    <td id="texte-article">
+	
+		[<h2>(#LOGO_RUBRIQUE|left||sinon{#TITRE|supprimer_numero})</h2>]
+
+		[#DESCRIPTIF
+	    <div class="texte">(#TEXTE)</div>]
+	    </td>
+    </tr>
+  [<tr>
+    <td>
+	    <div class="notes">(#NOTES)</div>
+	    </td>
+  </tr>]
+	<B_docs>
+	<tr>
+    <td>
+	<!-- Documents liés -->
+	<div id="documents_boite">
+
+	<h3>Documentos asociados</h3>
+	<BOUCLE_docs(DOCUMENTS){id_rubrique}{mode=document}{doublons}> 
+	<dl class="document">
+		[<dt>(#LOGO_DOCUMENT|#URL_DOCUMENT)</dt>]
+		<dd><a href="#URL_DOCUMENT">
+		[<strong>(#TITRE)</strong><br />]
+		[(#DESCRIPTIF)<br />]
+		[[(#TAILLE|taille_en_octets)][<br />
+		(#LARGEUR) X] [(#HAUTEUR) pixels]]
+		</a></dd>
+	</dl>
+	</BOUCLE_docs>
+	</div>
+
+</td>
+    </tr>
+	</B_docs>
+
+</table>
+<BOUCLE_article_langue_TOP(ARTICLES) {id_rubrique}{titre_mot=destacada seccion} {par date} {inverse} {0,3}{doublons portada}>
+      					<div class="fotoportada">
+							[<div id="rubriqueportada">(#SURTITRE)</div>]
+							[(#LOGO_ARTICLE|left||reduire_image{192,0}|inserer_attribut{hspace,5})]
+										<BOUCLE_foto(DOCUMENTS){id_article}{mode=image}{0,1}>
+				<img src="#URL_DOCUMENT"  width="20%" hspace="4" vspace="4" alt="#TITRE" border="1" align="right" >
+			</BOUCLE_foto> 
+							
+								<h3>[(#TITRE|supprimer_numero)]</h3>
+      							[<div class="sous-titre">(#SOUSTITRE)</div>]
+	  							[<div class="texte">(#CHAPO)</div>] 
+								#TEXTE
+								
+						</div>
+					</BOUCLE_article_langue_TOP>
+					<br />
+    				</B_article_langue_TOP>
+	<div id="boite-srubrique-rubrique">
+    
+
+ 	<B_articles_rubriques>
+	
+    <!-- Les articles -->
+	
+			<BOUCLE_articles_rubriques(ARTICLES){id_rubrique}{par date}{inverse}{doublons portada}>
+   			<?php	$nombreArticle = "#TOTAL_BOUCLE"; ?>
+        	<table><tr><td class="notas" style="cursor: pointer;" onmouseover="this.style.backgroundColor='#EFEFEF'" onmouseout="this.style.backgroundColor=''" onclick="window.location.href='#URL_ARTICLE';">
+			<B_foto1>
+										<BOUCLE_foto1(DOCUMENTS){id_article}{extension==jpg|png|gif}{par hasard}{0,1}>
+											[(#LOGO_DOCUMENT|left||image_reduire{110,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]
+										</BOUCLE_foto1> 
+										</B_foto1> 
+										[(#LOGO_ARTICLE|left|#URL_ARTICLE|reduire_image{140,0}|inserer_attribut{hspace,5})]
+										<//B_foto1>
+			[(#LOGO_ARTICLE|right||reduire_image{80,0}|inserer_attribut{hspace,5})]<a href="#URL_ARTICLE">
+			<h2>[(#TITRE|supprimer_numero)]</h2>
+				<BOUCLE_sivafecha(MOTS){id_rubrique}{titre=con fecha}>
+					<small>[(#DATE|nom_jour) ][(#DATE|affdate)]</small>
+				</BOUCLE_sivafecha>
+				<BOUCLE_sivaautor(MOTS){id_rubrique}{titre=con autor}>
+					<small>[, <:par_auteur:> (#LESAUTEURS)]</small>
+				</BOUCLE_sivaautor>
+				[(#CHAPO)]</a>
+			</td></tr></table>
+			</BOUCLE_articles_rubriques><br />
+      
+    <!-- Fin des articles -->
+ 	</B_articles_rubriques>
+	    <!-- Les sous-rubriques -->
+		
+    <!--<h3><:sousrubrique_recitfp:></h3>-->
+    <B_srubriques>
+	<div style="border-bottom:1px solid #0033CC; "></div>
+	Contenidos
+		<ul>
+			<BOUCLE_srubriques(RUBRIQUES){id_parent}{par num titre}>
+            <?php $nombreRubrique = "#TOTAL_BOUCLE"; ?>
+        	<li class="[(#COMPTEUR_BOUCLE|alterner{'pairs','impairs'})]"><a href="#URL_RUBRIQUE"><strong>[(#TITRE|supprimer_numero)]</strong><br />
+			[(#INTRODUCTION|couper{175})]</a></li>
+			</BOUCLE_srubriques><br />
+		</ul>
+    <!-- Fin des sous-rubriques -->
+	</B_srubriques>
+	</div>
+	<?php  if ($nombreRubrique + $nombreArticle == 0) { ?>
+	<style>#boite-srubrique-rubrique {display: none;}</style>
+	<?php } ?>
+			</div><!-- bloquearriba -->
+			
+			
+							<style type='text/css'>
+		td.occupe a {font-weight:bold;text-decoration:underline;}
+		td.horsperiode {color:#878787;font-size:.9em;}
+</style>
+
+			
+			<div id="bloquemedio">
+	
+				<INCLURE{fond=inc/inc-contenidos_grupo}{id_rubrique}{lang}>
+				
+				
+				<BOUCLE_masinfo(RUBRIQUES)>
+					<B_conclave>
+					[<div style="border-top:1px solid #0066CC; ">Información de (#_rubrica:TITRE|unique) en el sitio #NOM_SITE_SPIP</div>]
+						<div class="regional">
+						<img src="#URL_SITE_SPIP/#DOSSIER_SQUELETTE/img/boton.gif" /> 
+						[<a href="#URL_RUBRIQUE">(#TITRE|supprimer_numero)</a>] 
+						[ <span class="detalleregional"> -(#DESCRIPTIF)-</span>] 
+					</div>
+						<BOUCLE_conclave(ARTICLES){id_rubrique}{titre_mot=#_rubrica:TITRE} {par date}{inverse}>
+							<div class="tituloarticulo" style="font-size:85% "><a href="#URL_ARTICLE"><strong>[(#TITRE|supprimer_numero)]</strong></a>[ - (#DATE|nom_jour) ][(#DATE|affdate)]<br /></div>
+						</BOUCLE_conclave>
+					</B_conclave>	
+				</BOUCLE_masinfo>
+				
+				
+			</div><!-- bloquemedio -->
+			<div id="bloqueabajo"><div id="estructura">bloqueabajo</div>
+			[(#REM) Sites de la rubrique ]
+				<B_sites>
+				<div class="syndic" style="text-align:left ">
+					
+					
+						<BOUCLE_sites(SITES) {id_rubrique} {par nom_site}>
+						<table><tr><td>
+						<b>[(#LOGO_SITE|left||reduire_image{80,0}|inserer_attribut{hspace,5})]<a href="#URL_SITE">#NOM_SITE</a></b>
+							[<br />(#DESCRIPTIF)<br />]
+							<B_syndic>
+							Ultimas Noticias
+							<ul>
+								<BOUCLE_syndic(SYNDIC_ARTICLES) {id_syndic} {age<180} {par date}{inverse} {0,10}>
+								<li><a href="#URL_ARTICLE" class="spip_out">#TITRE</a></li>
+								
+								</BOUCLE_syndic>
+							</ul>
+							</B_syndic>
+						</td></tr></table>
+						</BOUCLE_sites>
+						
+						<B_sous_rubriques>
+			<ul>
+				
+				<BOUCLE_sous_rubriques(RUBRIQUES) {id_parent} {par num titre, titre}><BOUCLE_test_expose(RUBRIQUES) {id_enfant}>#EXPOSE{' '}</BOUCLE_test_expose>
+					<li>
+						<div class='menuseccionesitem-sub#EXPOSE'>
+						<a href="#URL_RUBRIQUE"[ class="(#EXPOSE)"]>[(#TITRE|supprimer_numero|couper{80})]</a>
+						</div>
+						<BOUCLE_re(BOUCLE_sous_rubriques)></BOUCLE_re>	
+					</li>
+				</B_test_expose></BOUCLE_sous_rubriques>
+			</ul>
+			</B_sous_rubriques>
+					
+				</div>
+				</B_sites>
+			</div>
+</BOUCLE_rubrica>
Index: /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-contenido-sommaire.html
===================================================================
--- /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-contenido-sommaire.html	(revision 94)
+++ /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-contenido-sommaire.html	(revision 94)
@@ -0,0 +1,16 @@
+			<INCLURE{fond=inc/inc-aviso-portada}{lang}>
+			<div id="bloquearriba">
+				<div id="estructura"><:bloquearriba:></div>
+				<INCLURE{fond=inc/inc-nota-principal}{lang}>
+				<INCLURE{fond=inc/inc-nota-secundaria}{lang}>
+			</div><!-- bloquearriba -->
+			<div id="bloquemedio">
+				<div id="estructura">bloquemedio</div>
+				<INCLURE{fond=inc/inc-comunicados}{lang}>
+				<INCLURE{fond=inc/inc-notas-destacadas}{lang}>
+				<INCLURE{fond=inc/inc-galeria}{lang}>
+			</div><!-- bloquemedio -->
+			<div id="bloqueabajo">
+				<div id="estructura">bloqueabajo</div>
+				<INCLURE{fond=inc/inc-titulares}{lang}>	
+			</div><!-- bloqueabajo -->
Index: /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-menu-administracion.html
===================================================================
--- /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-menu-administracion.html	(revision 94)
+++ /trunk/spip/esqueleto-redcta/themes/redcta/inc/inc-menu-administracion.html	(revision 94)
@@ -0,0 +1,58 @@
+<div class="menu" id="menusecciones">
+  <div class="menuseccionesarriba"></div>	
+
+	<ul class="titulo">
+    	
+<B_rubriques>
+	<BOUCLE_rubriques(RUBRIQUES) {racine}{titre_mot=menu administracion} {par num titre, titre}>
+		<li class="titulo">
+			<div class='menuseccionesitem#EXPOSE'>
+			<a href="#URL_RUBRIQUE"[ class="(#EXPOSE)"]>[(#TITRE|supprimer_numero|couper{80})]</a>
+			</div>
+			<B_articulosmenu>
+			<ul>
+			<BOUCLE_articulosmenu(ARTICLES) {id_rubrique} {titre_mot=menu administracion} {par num titre}{doublons}>
+				<li>
+					</li>
+						<div class="menuseccionesitem-sub#EXPOSE">
+							<a href="#URL_ARTICLE" [title="(#DESCRIPTIF|textebrut|entites_html)"]>[(#TITRE|supprimer_numero)]</a>
+						</div>
+					</li>	
+				</BOUCLE_articulosmenu>	
+				</ul>
+				</B_articulosmenu>
+			<B_sous_rubriques>
+			<ul>
+				
+				<BOUCLE_sous_rubriques(RUBRIQUES) {id_parent} {par num titre, titre}><BOUCLE_test_expose(RUBRIQUES) {id_enfant}>#EXPOSE{' '}</BOUCLE_test_expose>
+					<li>
+						<div class='menuseccionesitem-sub#EXPOSE'>
+						<a href="#URL_RUBRIQUE"[ class="(#EXPOSE)"]>[(#TITRE|supprimer_numero|couper{80})]</a>
+						</div>
+						<BOUCLE_re(BOUCLE_sous_rubriques)></BOUCLE_re>	
+					</li>
+				</B_test_expose></BOUCLE_sous_rubriques>
+			</ul>
+			</B_sous_rubriques>
+
+		</li>
+	</BOUCLE_rubriques>
+			<B_articulosmenusueltos>
+			<ul>
+			<BOUCLE_articulosmenusueltos(ARTICLES) {titre_mot=menu administracion} {par num titre}{doublons}>
+				<li>
+					</li>
+						<div class="menuseccionesitem">
+							<a href="#URL_ARTICLE" [title="(#DESCRIPTIF|textebrut|entites_html)"]>[(#TITRE|supprimer_numero)]</a>
+						</div>
+					</li>	
+				</BOUCLE_articulosmenusueltos>	
+				</ul>
+				</B_articulosmenusueltos>
+
+	</ul>
+
+<div class="menuseccionesabajo"></div>	
+
+</B_rubriques>
+	</div><!-- menusecciones -->