Index: trunk/spip/esqueleto-redcta/pages-custom/agenda.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/agenda.html	(revision 106)
+++ trunk/spip/esqueleto-redcta/pages-custom/agenda.html	(revision 106)
@@ -0,0 +1,35 @@
+<B_lesevenements>
+	<div class="agendabanner"></div>
+	<div class="agendain">
+	<BOUCLE_lesevenements(EVENEMENTS){age_debut>=-9}{age_debut<=0}{par date}>
+		<div class="agendafecha"> 
+			[[(#DATE_DEBUT|nom_jour)] (#DATE_DEBUT|affdate_jourcourt|unique)]
+		</div>
+		<div class="agendatit">
+			<a href="#URL_ARTICLE#[(#DATE_DEBUT||affdate{'Y-m-d'})]">[(#TITRE|supprimer_numero)]</a>
+		</div>
+		<div class="agendaevent">
+			[(#HORAIRE|=={oui}|?{[<b>(#DATE_DEBUT|heures)]:[(#DATE_DEBUT|minutes) horas],''})</b><br>]
+  			[lugar: (#LIEU)]</div>
+
+ 	</BOUCLE_lesevenements>
+ 	<!-- Esto si no hay noticias en el dia acual ni en el proximo -->
+	</div>
+</B_lesevenements>
+	<B_lesevenements1>  
+		<div class="agendain">
+		<BOUCLE_lesevenements1(EVENEMENTS){age_debut>=-8}{age_debut<=-1}{par date}>
+			<div class="agendafecha"> 
+				[[(#DATE_DEBUT|nom_jour)] (#DATE_DEBUT|affdate_jourcourt|unique)]
+			</div>
+			<div class="agendatit">
+				<a href="#URL_ARTICLE#[(#DATE_DEBUT||affdate{'Y-m-d'})]">[(#TITRE|supprimer_numero)]</a>
+			</div>
+			<div class="agendaevent">
+				[(#HORAIRE|=={oui}|?{[<b>(#DATE_DEBUT|heures)]:[(#DATE_DEBUT|minutes) horas],''})</b><br>]
+  				[lugar: (#LIEU)]</div>
+		</BOUCLE_lesevenements1>
+		</div>
+	</B_lesevenements1>	
+	<//B_lesevenements1>
+<//B_lesevenements>        
Index: trunk/spip/esqueleto-redcta/pages-custom/aviso-portada.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/aviso-portada.html	(revision 106)
+++ trunk/spip/esqueleto-redcta/pages-custom/aviso-portada.html	(revision 106)
@@ -0,0 +1,17 @@
+
+				<B_avisos_superior>
+				<div id="avisoportada">
+					<div id="estructura"><:Aviso portada:></div>
+					<BOUCLE_avisos_superior(ARTICLES){lang?}{titre_mot=aviso portada} {par num titre}>
+						<B_muestradoc>
+							<BOUCLE_muestradoc(DOCUMENTS){id_article}{par num titre}>                   <!-- selecciona los documentos en el articulos --> 
+									[<a href="#URL_ARTICLE">(#EMBED_DOCUMENT|reduire_image{526,0})</a>]                                                         <!-- Inserta el documento en este caso FLASH en la pagina -->  
+							</BOUCLE_muestradoc>
+						</B_muestradoc>
+								[(#LOGO_ARTICLE|#URL_ARTICLE|sinon{<a href="#URL_ARTICLE" >[<div class="subtituloaviso">#SURTITRE</div><div class="tituloaviso">(#TITRE|supprimer_numero)</div>]</a>}|reduire_image{526,0}) ]
+						<//B_muestradoc>     
+					</BOUCLE_avisos_superior> 
+					</div><!-- avisoportada -->
+    			</B_avisos_superior>
+
+		
Index: trunk/spip/esqueleto-redcta/pages-custom/avisoinferior.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/avisoinferior.html	(revision 106)
+++ trunk/spip/esqueleto-redcta/pages-custom/avisoinferior.html	(revision 106)
@@ -0,0 +1,16 @@
+			<B_avisos>
+				<div id="estructura"><:Aviso Derecha:></div>
+			<BOUCLE_avisos(ARTICLES) {lang?}{titre_mot=aviso inferior} {par num titre}>
+				<B_muestraspots>
+				<BOUCLE_muestraspots(DOCUMENTS){id_article}{par num titre}>                   <!-- selecciona los documentos en el articulos --> 
+        			<div class="avisosderecha">	
+					[<a href="#URL_ARTICLE">(#EMBED_DOCUMENT|reduire_image{110,0})</a>]                                                          <!-- Inserta el documento en este caso FLASH en la pagina -->  
+    				</div><!-- avisosderecha -->
+				</BOUCLE_muestraspots>
+				</B_muestraspots>
+					<div class="avisosderecha">	
+						[(#LOGO_ARTICLE|#URL_ARTICLE|sinon{<a href="#URL_ARTICLE" >[<div class="subtituloaviso">#SURTITRE</div><div class="tituloaviso">(#TITRE|supprimer_numero)</div>]</a>}|reduire_image{110,0}) ]
+					</div><!-- avisosderecha -->
+				<//B_muestraspots>     
+    		</BOUCLE_avisos> 
+    		</B_avisos>
Index: trunk/spip/esqueleto-redcta/pages-custom/avisosuperior.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/avisosuperior.html	(revision 106)
+++ trunk/spip/esqueleto-redcta/pages-custom/avisosuperior.html	(revision 106)
@@ -0,0 +1,16 @@
+			<B_avisos>
+				<div id="estructura"><:Aviso Derecha:></div>
+			<BOUCLE_avisos(ARTICLES) {lang?}{titre_mot=aviso superior} {par num titre}>
+				<B_muestraspots>
+				<BOUCLE_muestraspots(DOCUMENTS){id_article}{par num titre}>                   <!-- selecciona los documentos en el articulos --> 
+        			<div class="avisosderecha">	
+					[<a href="#URL_ARTICLE">(#EMBED_DOCUMENT|reduire_image{110,0})</a>]                                                          <!-- Inserta el documento en este caso FLASH en la pagina -->  
+    				</div><!-- avisosderecha -->
+				</BOUCLE_muestraspots>
+				</B_muestraspots>
+					<div class="avisosderecha">	
+						[(#LOGO_ARTICLE|#URL_ARTICLE|sinon{<a href="#URL_ARTICLE" >[<div class="subtituloaviso">#SURTITRE</div><div class="tituloaviso">(#TITRE|supprimer_numero)</div>]</a>}|reduire_image{110,0}) ]
+					</div><!-- avisosderecha -->
+				<//B_muestraspots>     
+    		</BOUCLE_avisos> 
+    		</B_avisos>
Index: trunk/spip/esqueleto-redcta/pages-custom/destacada_lateral.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/destacada_lateral.html	(revision 105)
+++ trunk/spip/esqueleto-redcta/pages-custom/destacada_lateral.html	(revision 106)
@@ -10,7 +10,16 @@
 			<div class="spacepirulo"></div>
                         [(#INCLURE{fond=formatage_logo_liste}{id_article}{conteneur=#ENV{conteneur}})]
-			<BOUCLE_foto(DOCUMENTS){id_article}{mode=image}{0,1}>
-				[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{110,0})]
-            </BOUCLE_foto>
+				<B_foto>
+                                <BOUCLE_foto(DOCUMENTS){id_article}{mode=image}{0,1}>
+                                          [(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
+                                          [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
+                                          [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
+				     
+                                </BOUCLE_foto>
+                                </B_foto>
+					[(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_ARTICLE|right|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
+                                        [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_ARTICLE|right|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
+                                        [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_ARTICLE|right|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]]
+				<//B_foto>
 			[<div class="surtitrep #EDIT{surtitre}">(#SURTITRE)</div>]
 			<div class="h5p">
@@ -22,2 +31,3 @@
 </B_articles_por_secciones1>
 <!-- Fin Por las secciones -->
+
Index: trunk/spip/esqueleto-redcta/pages-custom/notas_destacadas.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/notas_destacadas.html	(revision 105)
+++ trunk/spip/esqueleto-redcta/pages-custom/notas_destacadas.html	(revision 106)
@@ -10,8 +10,6 @@
 					 <B_foto>
                                           <BOUCLE_foto(DOCUMENTS){id_article}{mode=image}{0,1}>
-                                          [(#ENV{conteneur}|=={1}|?{' ',''})[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE1,0})]]
-                                          [(#ENV{conteneur}|=={2}|?{' ',''})[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{#LARGEUR_CONTEXTE2,0})]]
-                                          [(#ENV{conteneur}|=={3}|?{' ',''})[(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{#FOTOLISTWIDTH,0})]]
-                                          [(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{110,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]
+
+					      [(#LOGO_DOCUMENT|right|#URL_ARTICLE|image_reduire{110,0}|inserer_attribut{hspace,4}|inserer_attribut{vspace,4}|inserer_attribut{style,border:1px solid #000000})]
                                           </BOUCLE_foto>
                                           </B_foto>
Index: trunk/spip/esqueleto-redcta/pages-custom/titulares.html
===================================================================
--- trunk/spip/esqueleto-redcta/pages-custom/titulares.html	(revision 106)
+++ trunk/spip/esqueleto-redcta/pages-custom/titulares.html	(revision 106)
@@ -0,0 +1,16 @@
+<B_ultimas>
+	
+	<BOUCLE_ultimas(ARTICLES){titre_mot=titulares} {par date} {inverse}{0,6}>
+			<div id="titulares">
+						
+				<a href="#URL_ARTICLE">
+					
+					#TITRE
+					[<span class="fechatitulares">[(#DATE|journum)]/[(#DATE|mois)]/[(#DATE|annee)]</span> ] #CHAPO<span class="mas"> (+)</span>
+					
+				</a>
+				
+			</div>
+	</BOUCLE_ultimas>
+
+</B_ultimas>