Index: trunk/civiCRM/civicrm-menu.po
===================================================================
--- trunk/civiCRM/civicrm-menu.po	(revision 127)
+++ trunk/civiCRM/civicrm-menu.po	(revision 128)
@@ -7,6 +7,6 @@
 "Project-Id-Version: CiviCRM 2.1\n"
 "POT-Creation-Date: 2008-10-05 00:01+0200\n"
-"PO-Revision-Date: 2009-01-09 20:16-0300\n"
-"Last-Translator: Guillermo <guillermoacedo@cta.org.ar>\n"
+"PO-Revision-Date: 2009-01-12 18:49-0300\n"
+"Last-Translator: Alberto Rosenberg <albertorosenberg@cta.org.ar>\n"
 "Language-Team: none\n"
 "MIME-Version: 1.0\n"
@@ -95,5 +95,5 @@
 
 msgid "CiviPledge"
-msgstr ""
+msgstr "CiviAportes"
 
 msgid "Components"
@@ -134,11 +134,11 @@
 
 msgid "Custom Field - Options"
-msgstr ""
+msgstr "Opciones de Campos personalizados"
 
 msgid "Custom Searches"
-msgstr ""
+msgstr "BÃºsquedas personalizadas"
 
 msgid "Date Formatting"
-msgstr ""
+msgstr "Formateo de Fecha"
 
 msgid "Debugging"
@@ -161,5 +161,5 @@
 
 msgid "Edit Related Contact"
-msgstr ""
+msgstr "Editar contacto relacionado"
 
 msgid "Email a Contact"
@@ -167,11 +167,11 @@
 
 msgid "Event Information"
-msgstr ""
+msgstr "Informacion del Evento"
 
 msgid "Event Participants List"
-msgstr ""
+msgstr "Lista de Participantes de Eventos"
 
 msgid "Event Registration"
-msgstr ""
+msgstr "Registro de Eventos"
 
 msgid "Event Types"
@@ -182,5 +182,5 @@
 
 msgid "File System Paths"
-msgstr ""
+msgstr "Caminos del Sistema de archivos"
 
 msgid "Find and Merge Duplicate Contacts"
@@ -194,14 +194,14 @@
 
 msgid "Find Grants"
-msgstr ""
+msgstr "Buscar Donaciones"
 
 msgid "Find Members"
-msgstr ""
+msgstr "Buscar Miembros"
 
 msgid "Find Participants"
-msgstr ""
+msgstr "Buscar Participantes"
 
 msgid "Find Pledges"
-msgstr ""
+msgstr "Buscar Aportes"
 
 #, fuzzy
@@ -210,8 +210,8 @@
 
 msgid "From Email Address"
-msgstr ""
+msgstr "Correos ElectrÃ³nicos Alternativos "
 
 msgid "Gender Options"
-msgstr ""
+msgstr "Opciones de gÃ©nero"
 
 msgid "Global Settings"
@@ -228,5 +228,5 @@
 
 msgid "Headers, Footers, and Automated Messages"
-msgstr ""
+msgstr "Encabezados, Pies de pagina y Mensajes Automaticos"
 
 msgid "Import"
@@ -234,5 +234,5 @@
 
 msgid "Import Contributions"
-msgstr ""
+msgstr "Importar Contribuciones"
 
 msgid "Import/Export Mappings"
@@ -240,8 +240,8 @@
 
 msgid "Import Members"
-msgstr ""
+msgstr "Importar Miembros"
 
 msgid "Import Participants"
-msgstr ""
+msgstr "Importar Participantes"
 
 #, fuzzy
@@ -250,11 +250,11 @@
 
 msgid "Individual Prefixes (Ms, Mr...)"
-msgstr ""
+msgstr "Prefijos Individual (Sra, Sr....)"
 
 msgid "Individual Suffixes (Jr, Sr...)"
-msgstr ""
+msgstr "Sufijos individual (Jr., Sr. ..)"
 
 msgid "Instant Messenger Services"
-msgstr ""
+msgstr "Servicios de mensajerÃ­a instantÃ¡nea"
 
 msgid "Localization"
@@ -268,14 +268,14 @@
 
 msgid "Mailer Settings"
-msgstr ""
+msgstr "ConfiguraciÃ³n de correo"
 
 msgid "Mailing Event"
-msgstr ""
+msgstr "Evento de correo"
 
 msgid "Mailing Report"
-msgstr ""
+msgstr "Informe de correo"
 
 msgid "Manage ACLs"
-msgstr ""
+msgstr "GestiÃ³n de ACL"
 
 msgid "Manage Contribution Pages"
@@ -291,16 +291,15 @@
 msgstr "Manejar Grupos"
 
-#, fuzzy
 msgid "Manage Pledges"
-msgstr "Cancelado"
+msgstr "Administrar Aportes"
 
 msgid "Manage Premiums"
-msgstr ""
+msgstr "GestiÃ³n de incentivos"
 
 msgid "Manage Price Sets"
-msgstr ""
+msgstr "GestiÃ³n de Conjuntos de Precio de venta "
 
 msgid "Map Event Location"
-msgstr ""
+msgstr "Mapa del Lugar"
 
 msgid "Map Location(s)"
@@ -314,5 +313,5 @@
 
 msgid "Membership Status Rules"
-msgstr ""
+msgstr "Estado de Reglas de MembrecÃ­a"
 
 msgid "Membership Types"
@@ -320,5 +319,5 @@
 
 msgid "Merge Contact"
-msgstr ""
+msgstr "Combinar Contacto"
 
 msgid "Message Templates"
@@ -326,5 +325,5 @@
 
 msgid "Miscellaneous"
-msgstr ""
+msgstr "Varios"
 
 msgid "Mobile Phone Providers"
@@ -338,15 +337,14 @@
 
 msgid "New Contact Dialog"
-msgstr ""
+msgstr "Nuevo contacto de diÃ¡logo"
 
 msgid "New Event"
-msgstr ""
+msgstr "Nuevo Evento"
 
 msgid "New Mailing"
 msgstr "Nueva Correspondencia"
 
-#, fuzzy
 msgid "New Pledge"
-msgstr "Nuevo grupo de precios"
+msgstr "Nuevo grupo de Aportes"
 
 msgid "Notes"
@@ -354,8 +352,8 @@
 
 msgid "Option Groups"
-msgstr ""
+msgstr "OpciÃ³n Grupos"
 
 msgid "Option Values"
-msgstr ""
+msgstr "OpciÃ³n de Valores"
 
 msgid "Optout"
@@ -378,17 +376,17 @@
 
 msgid "PledgeBank"
-msgstr ""
+msgstr "Aportes Bancarios"
 
 msgid "Pledge Payments"
-msgstr ""
+msgstr "Pagar de Aportes"
 
 msgid "Pledges"
-msgstr ""
+msgstr "Aportes"
 
 msgid "Preferred Communication Methods"
-msgstr ""
+msgstr "MÃ©todos de comunicaciÃ³n preferidos"
 
 msgid "Preview Mailing"
-msgstr ""
+msgstr "Vista previa de correo"
 
 msgid "Price Field Options"
@@ -396,5 +394,5 @@
 
 msgid "Price Fields"
-msgstr ""
+msgstr "Campos de Precios"
 
 msgid "Price Sets"
@@ -402,5 +400,5 @@
 
 msgid "Registration Page"
-msgstr ""
+msgstr "PÃ¡gina de Registro"
 
 msgid "Relationships"
@@ -414,8 +412,8 @@
 
 msgid "Safe File Extension Options"
-msgstr ""
+msgstr "ExtensiÃ³n de archivos"
 
 msgid "Scheduled and Sent Mailings"
-msgstr ""
+msgstr "Calendario y EnvÃ­os de Correos"
 
 msgid "Search Builder"
@@ -423,8 +421,8 @@
 
 msgid "Sending Mail"
-msgstr ""
+msgstr "Enviar correo"
 
 msgid "Simple Search"
-msgstr ""
+msgstr "BÃºsqueda simple"
 
 msgid "Site URLs"
@@ -432,17 +430,18 @@
 
 msgid "Smtp Server"
-msgstr ""
+msgstr "Servidor SMTP"
 
 msgid "Subscribe"
 msgstr "Suscribir"
 
+#, fuzzy
 msgid "Sunlight"
-msgstr ""
+msgstr "Diurno"
 
 msgid "Synchronize Users to Contacts"
-msgstr ""
+msgstr "Sincronizar usuarios a contactos"
 
 msgid "System Preferences"
-msgstr ""
+msgstr "Preferencias del Sistema"
 
 msgid "Tags"
@@ -456,5 +455,5 @@
 
 msgid "This should never be seen"
-msgstr ""
+msgstr "Esto nunca debe ser visto"
 
 msgid "Unsubscribe"
@@ -462,14 +461,15 @@
 
 msgid "Upcoming Events"
-msgstr ""
+msgstr "PrÃ³ximos eventos"
 
 msgid "Update Directory Path and URL"
-msgstr ""
+msgstr "ActualizaciÃ³n de directorio y URL"
 
 msgid "Upgrade 2.0 => 2.1"
-msgstr ""
-
+msgstr "Actualizar 2.0 => 2.1"
+
+#, fuzzy
 msgid "User Framework Settings"
-msgstr ""
+msgstr "Marco de ConfiguraciÃ³n de usuario"
 
 msgid "View Activity"
@@ -477,4 +477,4 @@
 
 msgid "View Date Prefences"
-msgstr ""
-
+msgstr "Ver Fecha Prefences"
+