Index: trunk/isis/iah2spip/dic.xis
===================================================================
--- trunk/isis/iah2spip/dic.xis	(revision 129)
+++ trunk/isis/iah2spip/dic.xis	(revision 129)
@@ -0,0 +1,135 @@
+<IsisScript name=dic.xis>
+
+<function name=formulario>
+<display><pft>
+'
+<html>
+	<head>
+		<title>Seleccionar T&eacute;rmino del Diccionario</title>
+	</head>
+	<body>
+		<!-- llamado del script: http://www.web.org.ar/cgi-bin/wxis.cgi/?IsisScript=dic.xis -->
+		<h1><center>Seleccionar T&eacute;rmino del Diccionario</center></h1><p>
+		<form action="/cgi-bin/wxis.cgi" method="post">
+			<input type="hidden" name="IsisScript" value="dic.xis">
+			<input type="hidden" name="base" value="biblio">
+			<h4>
+			Mostrar t&eacute;rminos<br> 
+			desde: <input type="text" name="from" size="20"><br>
+			hasta : <input type="text" name="to" size="20"> o mostrar de <input type="text" name="numto" size="5"> registros.<br>
+			<br><br>Indice Seleccionado:<br>
+				<INPUT TYPE="radio" NAME="indice" VALUE="KK_" CHECKED>Palabras Sueltas<BR>
+				<INPUT TYPE="radio" NAME="indice" VALUE="BB_">Autores<BR>
+				<INPUT TYPE="radio" NAME="indice" VALUE="CC_">Autores Institucionales<BR>
+				<INPUT TYPE="radio" NAME="indice" VALUE="II_">Temas<BR>			
+			</h4>
+			<center><input type=submit value="Ver"></center>
+		</form>
+	
+		<br><br><br>Este script permite migrar terminos del diccionario de la base de datos CDS/ISIS a SPIP. <br>
+		Cuenta con dos partes el script "dic.xis" y el script spip.php. El dic.xis, esta hecho para WXIS 5.2 y lee los <br>
+		terminos del diccionario de la base CDS/ISIS colocando una palabra o letra raiz hasta la palabra o letra que <br>
+		uno quiera o si se completa el cuadro de cantidad de registros, lee el termino ingresado hasta la cantidad<br>
+		de registros dada. El segundo script, spip.php, revisa en la base spip y si el termino no existe lo guarda en<br>
+		la tabla spip_mots; requiere consifuracion del mysql.
+	</body>	
+</html>
+'
+</pft></display>
+</function>
+
+
+<function name=formulario2 action=replace tag=100 split=occ>
+<display><pft>
+'
+	<form action="/cgi-bin/wxis.cgi" method="post">
+		<input type="hidden" name="IsisScript" value="dic.xis">
+		<input type="hidden" name="base" value="biblio">
+		<h4>
+		Mostrar t&eacute;rminos<br> 
+		desde: <input type="text" name="from" value="',v100[1]*3,'" size="20"><br>
+		hasta : <input type="text" name="to" size="20"> o mostrar de <input type="text" name="numto" value="',v100[3],'" size="5"> registros.<br>
+		<br><br>Indice Seleccionado:<br>
+			',if v100[2]:`KK_` then '<INPUT TYPE="radio" NAME="indice" VALUE="KK_" CHECKED>Palabras Sueltas<BR>' else '<INPUT TYPE="radio" NAME="indice" VALUE="KK_">Palabras Sueltas<BR>' fi,
+			,if v100[2]:`BB_` then '<INPUT TYPE="radio" NAME="indice" VALUE="BB_" CHECKED>Autores<BR>' else '<INPUT TYPE="radio" NAME="indice" VALUE="BB_">Autores<BR>' fi,
+			,if v100[2]:`CC_` then '<INPUT TYPE="radio" NAME="indice" VALUE="CC_" CHECKED>Autores Institucionales<BR>' else '<INPUT TYPE="radio" NAME="indice" VALUE="CC_">Autores Institucionales<BR>' fi,
+			,if v100[2]:`II_` then '<INPUT TYPE="radio" NAME="indice" VALUE="II_" CHECKED>Temas<BR>' else '<INPUT TYPE="radio" NAME="indice" VALUE="II_">Temas<BR>' fi,'			
+		</h4>
+		<center><input type=submit value="Ver"><br> <a href="javascript:history.back(1)">Volver Atr&aacute;s</a><br><a href="http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/?IsisScript=dic.xis">Inicio</a></center>
+	</form>
+'
+</pft></display>
+</function>
+
+
+	<section>
+		<display><pft>'Content-type: text/html'/#</pft></display>
+		
+		
+		<field action=cgi tag=50>base</field>
+		<field action=cgi tag=51>from</field>
+		<field action=cgi tag=52>to</field>
+		<field action=cgi tag=53>indice</field>
+		<field action=cgi tag=54>numto</field>
+		<parm name=cipar><pft>
+			'biblio.*=/home/biblioteca/www/cgi-bin/bases/iah/biblio.*',/
+		</pft></parm>
+		
+		<flow action=jump><pft>if a(v50) then 'FORM' else 'DIC' fi</pft></flow>
+		<flow action=exit>1</flow>
+		
+		<label>FORM</label>
+		<call name=formulario>FORM</call>
+		<flow action=exit>0</flow>
+		
+		<label>DIC</label>		
+		
+			<do task=keyrange>
+				<parm name=db><pft>v50</pft></parm>
+				<parm name=from><pft>v53,v51</pft></parm>
+				<parm name=indice><pft>v53</pft></parm>
+				<parm name=numto><pft>v54</pft></parm>
+
+				<flow action=jump><pft>if a(v54) then 'to' else 'numto' fi</pft></flow>
+				<flow action=exit>1</flow>
+				
+				<label>to</label>
+				<parm name=to><pft>v53,v52</pft></parm>
+				<flow action=jump><pft>'continuar'</pft></flow>
+				<flow action=exit>1</flow>
+		
+				<label>numto</label>
+				<parm name=count><pft>v54</pft></parm>
+				<flow action=jump><pft>'continuar'</pft></flow>
+				<flow action=exit>1</flow>
+		
+				<label>continuar</label>
+				<field action=define tag=1>Isis_Key</field>
+				<field action=define tag=2>Isis_Postings</field>
+				<display><pft>'<h1><center>T&eacute;rminos del Diccionario</center></h1><p> <hr><h4>Presione sobre los t&eacute;rminos para migrar a SPIP</h4><p>'</pft></display>
+				<display><pft>
+				</pft></display>
+				<display><pft>'<table>'</pft></display>
+				<loop>
+					<field action="replace" tag="5"><pft>replace(v1,' ','%20')</pft></field>
+					<field action="replace" tag="5"><pft>replace(v5,'ï¿œ','&#209;')</pft></field>
+					<field action="replace" tag="1"><pft>replace(v1,'ï¿œ','&#209;')</pft></field>					
+					<display><pft>
+					    '<tr>'
+					    '  <td>'v2'</td>'
+					    '  <td><a href=/spip.php?term="'v5*3'">',v1*3,'</a></td>'
+					    '</tr>'
+					    /* [',v2,'] - ','<a href=/spip.php?term=',v1*3,'>',v1*3,'</a><br>, */
+					</pft></display>
+				</loop>
+				<display><pft>'
+				</table>
+				<br>
+				'</pft></display>
+			</do>
+			
+		<label>FORM</label>
+		<call name=formulario2><pft>v1/v53/v54</pft></call>
+		<flow action=exit>0</flow>
+	</section>
+</IsisScript>
Index: trunk/isis/iah2spip/xml.php
===================================================================
--- trunk/isis/iah2spip/xml.php	(revision 129)
+++ trunk/isis/iah2spip/xml.php	(revision 129)
@@ -0,0 +1,118 @@
+<?php
+
+// Tarea del Script: Interactuar con la interface del iAH para bases de datos ISIS, solicita un XML como resultado de una consulta
+// para poder interactuar con SPIP
+
+// FORMA DE LLAMAR DESDE URL: http://archivos.bibliotecacta.org.ar/xmlok.php?consulta=trabajo&indice=II
+
+// INICES PARA CONSULTAS:
+// INDICE KK=Palabras de cualquier campo
+// INDICE DD=Palabras del t&iacute;tulo
+// INDICE EE=T&iacute;tulo completo
+// INDICE FF=T&iacute;tulo de P.P.
+// INDICE BB=Autores
+// INDICE CC=Autores Institucionales
+// INDICE MA=Tipo de material
+// INDICE II=Temas
+
+// Fecha 16/06/2009
+
+// TODO:
+// 1 Hacer un formato de visualizacion mas corto para mostrar en el spip
+/* 2 Forzar la salida a <?xml version="1.0" encoding="ISO-8859-1"?> */
+//-----------------------------------------------------------------------------------------------------------------------
+
+
+function add_ceros($numero,$ceros) {
+$order_diez = explode(".",$numero);
+$dif_diez = $ceros - strlen($order_diez[0]);
+for($m = 0 ;
+$m < $dif_diez;
+$m++)
+{
+@$insertar_ceros .= 0;
+}
+return $insertar_ceros .= $numero;
+}
+
+$consultaspip = $HTTP_GET_VARS["consulta"];
+$indicespip = $HTTP_GET_VARS["indice"];
+$urlsite = 'http://archivos.bibliotecacta.org.ar';
+$urlxml = $urlsite . '/cgi-bin/wxis.cgi/iah/?IsisScript=iah/iah.xis&nextAction=xml&base=biblio&lang=E&exprSearch=' . $consultaspip . '$&indexSearch=' . $indicespip;
+
+$xml = simplexml_load_file($urlxml);
+
+$cantreg=0;
+
+foreach ($xml->prolog as $prolog){
+		//print_r($xml->prolog);
+		//print "<br><br>";
+		$consulta = $xml->prolog->expression;
+		$indice = $xml->prolog->index->u;
+		$totalregistrosbusq = $xml->prolog->{'total-hits'}; //para objetos que contengan - se debe llamar $xml->prolog->{'objeto'}
+}
+
+// $variables = array();
+
+foreach ($xml->record as $record){
+		//print_r($xml->record);
+		//print "<br><br>";
+
+		if (intval($record["mfn"])>0 && $cantreg==0) { print "<br><center><a href=$urlsite>BibliotecaCTA.org.ar</a> - Registros encontrados <br><br></center>"; }
+
+		echo "<b>Registro: " . $record["mfn"] . " <a href=http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/iah/?IsisScript=iah%2Fiah.xis&avaibleFormats=%5Enstandard.pft%5EpLista%5EeLista%5EiLista&avaibleFormats=%5Endetailed.pft%5EpDetallado%5EeDetallado%5EiDetallado&avaibleFormats=%5EnDEFAULT%5Efdetailed.pft&apperance=%5Ec%23FFFFFF%5Etblack%5Elblue%5Eb%23A3BEDA%5Eesistemas@cta.org.ar%5ErON%5EmOFF&helpInfo=%5EnHELP+FORM%5Evhelp_form_secs.htm&gizmoDecod=%5EgASC2ANS&avaibleForms=F%2CA&logoImage=&logoURL=%5Ephttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F%2F%5Eehttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F%5Eihttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F&headerImage=online.gif&headerURL=%5Ep%2Fiah%2FE%2Findex.htm%5Ee%2Fiah%2FE%2Findex.htm%5Ei%2Fiah%2FE%2Findex.htm&form=A&pathImages=%2Fiah%2FE%2Fimage%2F&navBar=ON&hits=10&format=detailed.pft&lang=E&user=GUEST&related=&nextAction=search&base=biblio&conectSearch=init&exprSearch=" . add_ceros($record["mfn"],6) . "&indexSearch=%5EnZZ%5EpMFN%5EeMFN%5EiMFN%5ExZZ+%5EuZZ_%5EyDATABASE%5EmZZ_%5Etshort&conectSearch=and&exprSearch=&indexSearch=%5EnKK%5EpPalabras%5EePalabras%5EiPalabras%5Ed*%5ExKK+%5EuKK_%5EyDATABASE%5EmKK_&conectSearch=and&exprSearch=&indexSearch=%5EnKK%5EpPalabras%5EePalabras%5EiPalabras%5Ed*%5ExKK+%5EuKK_%5EyDATABASE%5EmKK_&x=18&y=19>Ver registro en biblioteca</a></b><br>";
+	
+		$cantcampos = 0;
+		foreach ($record->field as $field){
+			
+			
+			$varTitulo="";
+			$varTituloRevista="";
+			$varAutor="";
+			$varPDF="";
+			
+			$campo = intval($field["tag"]);
+			$contenido = $xml->record[$cantreg]->field[$cantcampos];
+			if ($contenido) { 
+				//print "<i>Campo " . $campo . ":</i> " . $contenido . "<br>";  // comentar formato all (no utilizado en producciÃ³n)
+				// $variables[$campo] = $contenido; //carga los numeros de campo y el contenido en un array asociativo
+				if ($campo==12) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	//TÃ­tulo
+				if ($campo==18) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	//TÃ­tulo
+				if ($campo==25) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	//TÃ­tulo
+				if ($campo==10) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	//Autor
+				if ($campo==16) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	//Autor
+				if ($campo==23) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	//Autor
+				if ($campo==30) { $varTituloRevista=$contenido; }	//TÃ­tulo de revista
+				if ($campo==999) { $varPDF=$contenido; }	//pft
+			}
+
+			//IMPRIMIR EL REGISTRO FORMATEADO
+			if ($varTitulo) {print $varTitulo . "<br>";}
+			if ($varAutor) {print $varAutor . "<br>";}
+			if ($varTituloRevista) {print "<i>En: </i>" . $varTituloRevista . "<br>";}
+			if ($varPDF) {print "<a href=http://www.bibliotecacta.org.ar/bases/pdf/" . $varPDF . ".pdf>Ver documento On-Line</a><br>";}
+
+			$cantcampos = $cantcampos + 1;
+		}
+		$cantreg = $cantreg + 1;
+		echo "<br><br>";
+	}
+	print "<br><br>
+
+	Cantidad de registros encontrados: $totalregistrosbusq <br><br>
+
+	<a href=\"http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/iah/?IsisScript=iah/iah.xis&nextAction=search&base=biblio&lang=E&exprSearch=$consulta&indexSearch=$indice\">mas resultados en biblioteca <!-- ($totalregistros) --></a>";
+
+	print "<br><br><a href=\"http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/iah/?IsisScript=iah/iah.xis&nextAction=xml&base=biblio&lang=E&exprSearch=$consulta&indexSearch=$indice\">ver del XML</a>";
+
+	//print "<pre><br><br><br>";
+	//print_r($variables);
+	//print "</pre><br>";
+
+?>
+
+
+
+
+
+
Index: trunk/isis/sitemap/crear_sitemap.sh
===================================================================
--- trunk/isis/sitemap/crear_sitemap.sh	(revision 129)
+++ trunk/isis/sitemap/crear_sitemap.sh	(revision 129)
@@ -0,0 +1,1 @@
+./mx biblio prolog=@inicio.pft pft=@sitemap.pft epilog=@fin.pft from=1 to=7000 lw=80000 tell=1000 -all now > cta.xml
Index: trunk/isis/sitemap/crear_sitemapXML.sh
===================================================================
--- trunk/isis/sitemap/crear_sitemapXML.sh	(revision 129)
+++ trunk/isis/sitemap/crear_sitemapXML.sh	(revision 129)
@@ -0,0 +1,1 @@
+./mx biblio prolog=@inicio.pft pft=@sitemapXML.pft epilog=@fin.pft from=1 to=7000 lw=80000 tell=1000 -all now > ctaXML.xml
Index: trunk/isis/sitemap/fin.pft
===================================================================
--- trunk/isis/sitemap/fin.pft	(revision 129)
+++ trunk/isis/sitemap/fin.pft	(revision 129)
@@ -0,0 +1,1 @@
+'</urlset>'
Index: trunk/isis/sitemap/inicio.pft
===================================================================
--- trunk/isis/sitemap/inicio.pft	(revision 129)
+++ trunk/isis/sitemap/inicio.pft	(revision 129)
@@ -0,0 +1,8 @@
+'<?xml version="1.0" encoding="UTF-8"?>'#
+'<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">'#
+'   <url>'#
+'      <loc>http://archivos.bibliotecacta.org.ar/</loc>'#
+'      <lastmod>2009-01-15</lastmod>'#
+'      <changefreq>monthly</changefreq>'#
+'      <priority>0.8</priority>'#
+'   </url>'#
Index: trunk/isis/sitemap/sitemap.pft
===================================================================
--- trunk/isis/sitemap/sitemap.pft	(revision 129)
+++ trunk/isis/sitemap/sitemap.pft	(revision 129)
@@ -0,0 +1,4 @@
+'<url>'#
+'<loc>http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/iah/?IsisScript=iah%2Fiah.xis&amp;avaibleFormats=%5Enstandard.pft%5EpLista%5EeLista%5EiLista&amp;avaibleFormats=%5Endetailed.pft%5EpDetallado%5EeDetallado%5EiDetallado&amp;avaibleFormats=%5EnDEFAULT%5Efdetailed.pft&amp;apperance=%5Ec%23FFFFFF%5Etblack%5Elblue%5Eb%23A3BEDA%5Eesistemas@cta.org.ar%5ErON%5EmOFF&amp;helpInfo=%5EnHELP+FORM%5Evhelp_form_secs.htm&amp;gizmoDecod=%5EgASC2ANS&amp;avaibleForms=F%2CA&amp;logoImage=&amp;logoURL=%5Ephttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F%2F%5Eehttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F%5Eihttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F&amp;headerImage=online.gif&amp;headerURL=%5Ep%2Fiah%2FE%2Findex.htm%5Ee%2Fiah%2FE%2Findex.htm%5Ei%2Fiah%2FE%2Findex.htm&amp;form=A&amp;pathImages=%2Fiah%2FE%2Fimage%2F&amp;navBar=ON&amp;hits=10&amp;format=detailed.pft&amp;lang=E&amp;user=GUEST&amp;related=&amp;nextAction=search&amp;base=biblio&amp;conectSearch=init&amp;exprSearch='mfn(6)'&amp;indexSearch=%5EnZZ%5EpMFN%5EeMFN%5EiMFN%5ExZZ+%5EuZZ_%5EyDATABASE%5EmZZ_%5Etshort&amp;conectSearch=and&amp;exprSearch=&amp;indexSearch=%5EnKK%5EpPalabras%5EePalabras%5EiPalabras%5Ed*%5ExKK+%5EuKK_%5EyDATABASE%5EmKK_&amp;conectSearch=and&amp;exprSearch=&amp;indexSearch=%5EnKK%5EpPalabras%5EePalabras%5EiPalabras%5Ed*%5ExKK+%5EuKK_%5EyDATABASE%5EmKK_&amp;x=18&amp;y=19</loc>'#
+'<changefreq>weekly</changefreq>'#
+'</url>'#
Index: trunk/isis/sitemap/sitemapXML.pft
===================================================================
--- trunk/isis/sitemap/sitemapXML.pft	(revision 129)
+++ trunk/isis/sitemap/sitemapXML.pft	(revision 129)
@@ -0,0 +1,4 @@
+'<url>'#
+'<loc>http://archivos.bibliotecacta.org.ar/xmlok.php?consulta='mfn(6)'&amp;indice=ZZ</loc>'#
+'<changefreq>weekly</changefreq>'#
+'</url>'#
Index: trunk/isis/sitemap/xmlok.php
===================================================================
--- trunk/isis/sitemap/xmlok.php	(revision 129)
+++ trunk/isis/sitemap/xmlok.php	(revision 129)
@@ -0,0 +1,120 @@
+<?php
+
+// Tarea del Script: Interactuar con la interface del iAH para bases de datos ISIS, solicita un XML como resultado de una consulta
+// para poder interactuar con GOOGLE (similar al xml.php para interactuar con el SPIP)
+// Archivo asociado: ctaXML.xml.gz (SiteMap para Google)
+// FORMA DE LLAMAR DESDE URL: http://archivos.bibliotecacta.org.ar/xmlok.php?consulta=000001&indice=ZZ
+// INICES QUE UTILIZA: ZZ (numero de registro de 6 digitos, ejemplo: 000001) 
+// Fecha 23/01/2009
+//-----------------------------------------------------------------------------------------------------------------------
+
+
+function add_ceros($numero,$ceros) {
+$order_diez = explode(".",$numero);
+$dif_diez = $ceros - strlen($order_diez[0]);
+for($m = 0 ;
+$m < $dif_diez;
+$m++)
+{
+@$insertar_ceros .= 0;
+}
+return $insertar_ceros .= $numero;
+}
+
+$consultaspip = $HTTP_GET_VARS["consulta"];
+$indicespip = $HTTP_GET_VARS["indice"];
+
+$xml = simplexml_load_file('http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/iah/?IsisScript=iah/iah.xis&nextAction=xml&base=biblio&lang=E&exprSearch=' . $consultaspip . '$&indexSearch=' . $indicespip);
+
+$cantreg=0;
+
+print "
+<?xml version=\"1.0\" encoding=\"utf-8\"?>
+<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">
+<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"es-ES\" lang=\"es-ES\">
+<head profile=\"http://www.w3.org/2000/08/w3c-synd/#\">
+<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />
+<title>BIBLIOTECA CTA - Central de los Trabajadores Argentinos</title>
+<!--<META NAME=\"RATING\" CONTENT=\"General\">
+<META NAME=\"ROBOTS\" CONTENT=\"index, follow\">
+<META NAME=\"REVISIT-AFTER\" CONTENT=\"1 Month\">-->
+<link rel=\"shortcut icon\" href=\"http://www.cta.org.ar/base/IMG/iconsol.gif\"/>
+</head>
+<body>
+";
+
+foreach ($xml->prolog as $prolog){
+		//print_r($xml->prolog);
+		//print "<br><br>";
+		$consulta = $xml->prolog->expression;
+		$indice = $xml->prolog->index->u;
+		$totalregistrosbusq = $xml->prolog->{'total-hits'}; //para objetos que contengan - se debe llamar $xml->prolog->{'objeto'}
+}
+
+// $variables = array();
+
+foreach ($xml->record as $record){
+		//print_r($xml->record);
+		//print "<br><br>";
+
+		if (intval($record["mfn"])>0 && $cantreg==0) { print "<center><a href=http://archivos.bibliotecacta.org.ar>BibliotecaCTA.org.ar</a> - Registros encontrados</center><br><br>"; }
+
+		echo "<b>Registro: " . $record["mfn"] . " </b><a href=http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/iah/?IsisScript=iah%2Fiah.xis&avaibleFormats=%5Enstandard.pft%5EpLista%5EeLista%5EiLista&avaibleFormats=%5Endetailed.pft%5EpDetallado%5EeDetallado%5EiDetallado&avaibleFormats=%5EnDEFAULT%5Efdetailed.pft&apperance=%5Ec%23FFFFFF%5Etblack%5Elblue%5Eb%23A3BEDA%5Eesistemas@cta.org.ar%5ErON%5EmOFF&helpInfo=%5EnHELP+FORM%5Evhelp_form_secs.htm&gizmoDecod=%5EgASC2ANS&avaibleForms=F%2CA&logoImage=&logoURL=%5Ephttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F%2F%5Eehttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F%5Eihttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F&headerImage=online.gif&headerURL=%5Ep%2Fiah%2FE%2Findex.htm%5Ee%2Fiah%2FE%2Findex.htm%5Ei%2Fiah%2FE%2Findex.htm&form=A&pathImages=%2Fiah%2FE%2Fimage%2F&navBar=ON&hits=10&format=detailed.pft&lang=E&user=GUEST&related=&nextAction=search&base=biblio&conectSearch=init&exprSearch=" . add_ceros($record["mfn"],6) . "&indexSearch=%5EnZZ%5EpMFN%5EeMFN%5EiMFN%5ExZZ+%5EuZZ_%5EyDATABASE%5EmZZ_%5Etshort&conectSearch=and&exprSearch=&indexSearch=%5EnKK%5EpPalabras%5EePalabras%5EiPalabras%5Ed*%5ExKK+%5EuKK_%5EyDATABASE%5EmKK_&conectSearch=and&exprSearch=&indexSearch=%5EnKK%5EpPalabras%5EePalabras%5EiPalabras%5Ed*%5ExKK+%5EuKK_%5EyDATABASE%5EmKK_&x=18&y=19>Ver registro en biblioteca</a><br>";
+	
+		$cantcampos = 0;
+		foreach ($record->field as $field){
+			
+			
+			$varTitulo="";
+			$varTituloRevista="";
+			$varAutor="";
+			$varPDF="";
+			
+			$campo = intval($field["tag"]);
+			$contenido = $xml->record[$cantreg]->field[$cantcampos];
+			if ($contenido) { 
+				//print "<i>Campo " . $campo . ":</i> " . $contenido . "<br>";  // comentar formato all (no utilizado en producciÃ³n)
+				// $variables[$campo] = $contenido; //carga los numeros de campo y el contenido en un array asociativo
+				if ($campo==12) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	//TÃ­tulo
+				if ($campo==18) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	//TÃ­tulo
+				if ($campo==25) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	//TÃ­tulo
+				if ($campo==10) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	//Autor
+				if ($campo==16) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	//Autor
+				if ($campo==23) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	//Autor
+				if ($campo==30) { $varTituloRevista=$contenido; }	//TÃ­tulo de revista
+				if ($campo==999) { $varPDF=$contenido; }	//pft
+			}
+
+			//IMPRIMIR EL REGISTRO FORMATEADO
+			if ($varTitulo) {print $varTitulo . "<br>";}
+			if ($varAutor) {print $varAutor . "<br>";}
+			if ($varTituloRevista) {print "<i>En: </i>" . $varTituloRevista . "<br>";}
+			if ($varPDF) {print "<a href=http://www.bibliotecacta.org.ar/bases/pdf/" . $varPDF . ".pdf>Ver documento On-Line</a><br>";}
+
+			$cantcampos = $cantcampos + 1;
+		}
+		$cantreg = $cantreg + 1;
+		echo "<br><br>";
+	}
+	print "<br><br>
+
+	Cantidad de registros encontrados: $totalregistrosbusq <br><br>
+
+	<!-- <a href=\"http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/iah/?IsisScript=iah/iah.xis&nextAction=search&base=biblio&lang=E&exprSearch=$consulta&indexSearch=$indice\">mas resultados en biblioteca <!-- ($totalregistros) --></a> -->";
+
+	//print "<br><br><a href=\"http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/iah/?IsisScript=iah/iah.xis&nextAction=xml&base=biblio&lang=E&exprSearch=$consulta&indexSearch=$indice\">ver del XML</a>";
+
+	//print "<pre><br><br><br>";
+	//print_r($variables);
+	//print "</pre><br>";
+	print "
+</body>
+</html>";
+
+?>
+
+
+
+
+
+