Index: trunk/isis/iah2spip/xml.php
===================================================================
--- trunk/isis/iah2spip/xml.php	(revision 129)
+++ trunk/isis/iah2spip/xml.php	(revision 130)
@@ -61,15 +61,17 @@
 		if (intval($record["mfn"])>0 && $cantreg==0) { print "<br><center><a href=$urlsite>BibliotecaCTA.org.ar</a> - Registros encontrados <br><br></center>"; }
 
-		echo "<b>Registro: " . $record["mfn"] . " <a href=http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/iah/?IsisScript=iah%2Fiah.xis&avaibleFormats=%5Enstandard.pft%5EpLista%5EeLista%5EiLista&avaibleFormats=%5Endetailed.pft%5EpDetallado%5EeDetallado%5EiDetallado&avaibleFormats=%5EnDEFAULT%5Efdetailed.pft&apperance=%5Ec%23FFFFFF%5Etblack%5Elblue%5Eb%23A3BEDA%5Eesistemas@cta.org.ar%5ErON%5EmOFF&helpInfo=%5EnHELP+FORM%5Evhelp_form_secs.htm&gizmoDecod=%5EgASC2ANS&avaibleForms=F%2CA&logoImage=&logoURL=%5Ephttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F%2F%5Eehttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F%5Eihttp%3A%2F%2Farchivos.bibliotecacta.org.ar%2Fiah%2F&headerImage=online.gif&headerURL=%5Ep%2Fiah%2FE%2Findex.htm%5Ee%2Fiah%2FE%2Findex.htm%5Ei%2Fiah%2FE%2Findex.htm&form=A&pathImages=%2Fiah%2FE%2Fimage%2F&navBar=ON&hits=10&format=detailed.pft&lang=E&user=GUEST&related=&nextAction=search&base=biblio&conectSearch=init&exprSearch=" . add_ceros($record["mfn"],6) . "&indexSearch=%5EnZZ%5EpMFN%5EeMFN%5EiMFN%5ExZZ+%5EuZZ_%5EyDATABASE%5EmZZ_%5Etshort&conectSearch=and&exprSearch=&indexSearch=%5EnKK%5EpPalabras%5EePalabras%5EiPalabras%5Ed*%5ExKK+%5EuKK_%5EyDATABASE%5EmKK_&conectSearch=and&exprSearch=&indexSearch=%5EnKK%5EpPalabras%5EePalabras%5EiPalabras%5Ed*%5ExKK+%5EuKK_%5EyDATABASE%5EmKK_&x=18&y=19>Ver registro en biblioteca</a></b><br>";
+		echo "<b>Registro: " . $record["mfn"] . " </b><a href=http://archivos.bibliotecacta.org.ar/cgi-bin/wxis.cgi/iah/?IsisScript=iah/iah.xis&nextAction=lnk&base=biblio&lang=E&exprSearch=" . add_ceros($record["mfn"],6) . "&indexSearch=ZZ>Ver registro en biblioteca</a><br>";
+
+		$cantcampos = 0;
+		$varTitulo="";
+		$varTituloRevista="";
+		$varAutor="";
+		$varAutorInst="";
+		$varTemas="";
+		$varPDF="";
 	
 		$cantcampos = 0;
 		foreach ($record->field as $field){
-			
-			
-			$varTitulo="";
-			$varTituloRevista="";
-			$varAutor="";
-			$varPDF="";
-			
+		
 			$campo = intval($field["tag"]);
 			$contenido = $xml->record[$cantreg]->field[$cantcampos];
@@ -77,22 +79,38 @@
 				//print "<i>Campo " . $campo . ":</i> " . $contenido . "<br>";  // comentar formato all (no utilizado en producciÃ³n)
 				// $variables[$campo] = $contenido; //carga los numeros de campo y el contenido en un array asociativo
-				if ($campo==12) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	//TÃ­tulo
-				if ($campo==18) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	//TÃ­tulo
-				if ($campo==25) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	//TÃ­tulo
-				if ($campo==10) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	//Autor
-				if ($campo==16) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	//Autor
-				if ($campo==23) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	//Autor
-				if ($campo==30) { $varTituloRevista=$contenido; }	//TÃ­tulo de revista
-				if ($campo==999) { $varPDF=$contenido; }	//pft
+				//TÃ­tulo
+				if ($campo==12) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	
+				if ($campo==18) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	
+				if ($campo==25) { if ($varTitulo=="") { $varTitulo = $contenido; } else { $varTitulo .= "; " . $contenido; } }	
+				//Autor
+				if ($campo==10) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }
+				if ($campo==16) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	
+				if ($campo==23) { if ($varAutor=="") { $varAutor = $contenido; } else { $varAutor .= "; " . $contenido; } }	
+				//Autores Institucionales
+				if ($campo==11) { if ($varAutorInst=="") { $varAutorInst = $contenido; } else { $varAutorInst .= "; " . $contenido; } }
+				if ($campo==17) { if ($varAutorInst=="") { $varAutorInst = $contenido; } else { $varAutorInst .= "; " . $contenido; } }
+				if ($campo==24) { if ($varAutorInst=="") { $varAutorInst = $contenido; } else { $varAutorInst .= "; " . $contenido; } }
+				if ($campo==50) { if ($varAutorInst=="") { $varAutorInst = $contenido; } else { $varAutorInst .= "; " . $contenido; } }
+				if ($campo==52) { if ($varAutorInst=="") { $varAutorInst = $contenido; } else { $varAutorInst .= "; " . $contenido; } }
+				if ($campo==58) { if ($varAutorInst=="") { $varAutorInst = $contenido; } else { $varAutorInst .= "; " . $contenido; } }
+				//TÃ­tulo de revista
+				if ($campo==30) { $varTituloRevista=$contenido; }
+				//temas
+				if ($campo==76)  { if ($varTemas=="") { $varTemas = $contenido; } else { $varTemas .= "; " . $contenido; } }
+				//PDF
+				if ($campo==999) { $varPDF=$contenido; }
 			}
-
-			//IMPRIMIR EL REGISTRO FORMATEADO
-			if ($varTitulo) {print $varTitulo . "<br>";}
-			if ($varAutor) {print $varAutor . "<br>";}
-			if ($varTituloRevista) {print "<i>En: </i>" . $varTituloRevista . "<br>";}
-			if ($varPDF) {print "<a href=http://www.bibliotecacta.org.ar/bases/pdf/" . $varPDF . ".pdf>Ver documento On-Line</a><br>";}
 
 			$cantcampos = $cantcampos + 1;
 		}
+
+			//IMPRIMIR EL REGISTRO FORMATEADO
+			if ($varAutorInst) {print "<i>Autor/es Institucional/es: </i>" . $varAutorInst . "<br>";}
+			if ($varAutor) {print "<i>Autor/es: </i>" . $varAutor . "<br>";}
+			if ($varTitulo) {print "<i>TÃ­tulo: </i>" . $varTitulo . "<br>";}
+			if ($varTituloRevista) {print "<i>En: </i>" . $varTituloRevista . "<br>";}
+			if ($varTemas) {print "<i>Temas: </i>" . $varTemas . "<br>";}
+			if ($varPDF) {print "<a href=http://www.bibliotecacta.org.ar/bases/pdf/" . $varPDF . ".pdf>Ver documento On-Line</a><br>";}
+
 		$cantreg = $cantreg + 1;
 		echo "<br><br>";
Index: trunk/isis/tab/isisac.tab
===================================================================
--- trunk/isis/tab/isisac.tab	(revision 130)
+++ trunk/isis/tab/isisac.tab	(revision 130)
@@ -0,0 +1,4 @@
+048 049 050 051 052 053 054 055 056 057 065 066 067 068 069 070 071 072 073 074 075 076 077 078 079 080 081 082 083 084 085 086
+087 088 089 090 097 098 099 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 128 129
+130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 160 161 162 163 164 165 198
+199 228 229
Index: trunk/isis/tab/isisuc.tab
===================================================================
--- trunk/isis/tab/isisuc.tab	(revision 130)
+++ trunk/isis/tab/isisuc.tab	(revision 130)
@@ -0,0 +1,8 @@
+000 001 002 003 004 005 006 007 008 009 010 011 012 013 014 015 016 017 018 019 020 021 022 023 024 025 026 027 028 028 030 031
+032 033 034 035 036 037 038 039 040 041 042 043 044 045 046 047 048 049 050 051 052 053 054 055 056 057 058 059 060 061 062 063
+064 065 066 067 068 069 070 071 072 073 074 075 076 077 078 079 080 081 082 083 084 085 086 087 088 089 090 091 092 093 094 095
+096 065 066 067 068 069 070 071 072 073 074 075 076 077 078 079 080 081 082 083 084 085 086 087 088 089 090 123 124 125 126 127
+067 085 069 065 065 065 065 067 069 069 069 073 073 073 065 065 069 069 069 079 079 079 085 085 089 079 085 155 156 157 158 159
+065 073 079 085 165 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191
+192 193 194 195 196 197 065 065 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223
+224 225 226 227 079 079 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251 252 253 254 255
Index: trunk/isis/tab/leer.txt
===================================================================
--- trunk/isis/tab/leer.txt	(revision 130)
+++ trunk/isis/tab/leer.txt	(revision 130)
@@ -0,0 +1,2 @@
+Esta isisac.tab  permite invertir los nÃºmeros en CDS/ISIS cuando se coloca la
+tÃ©cnica 4 (por palabras)