Index: trunk/civiCRM/civicrm-helpfiles.po
===================================================================
--- trunk/civiCRM/civicrm-helpfiles.po	(revision 125)
+++ trunk/civiCRM/civicrm-helpfiles.po	(revision 133)
@@ -7,6 +7,6 @@
 "Project-Id-Version: CiviCRM 2.1\n"
 "POT-Creation-Date: 2008-11-19 14:35+0100\n"
-"PO-Revision-Date: 2009-01-08 18:59-0300\n"
-"Last-Translator: Aplyca Tecnologia <riascos69@gmail.com>\n"
+"PO-Revision-Date: 2009-01-30 15:32-0300\n"
+"Last-Translator: cdi <cdi@mecon.gov.ar>\n"
 "Language-Team: CiviCRM Translators <civicrm-translators@lists.civicrm.org>\n"
 "MIME-Version: 1.0\n"
@@ -19,9 +19,9 @@
 "The Activity Import Wizard allows you to easily upload activity from other applications into CiviCRM. Contacts must already exist in your CiviCRM database prior to importing activities for them.\n"
 "        Use Import Contacts to create contact records first, if necessary. Then you can match activities to contacts by Email Address, CiviCRM Contact ID, or an External Identifier (see the TIP below)."
-msgstr ""
+msgstr "La herramienta  Activity Import Wizard le permite fÃ¡cilmente actualizar las actividades desde otras aplicaciones dentro de CiviCRM. Los contactos ya deben existir en su base de datos CiviCRM para informarles de las actividades a los usuarios. Use Importar Contactos para crear registros de usuarios primero, si es necesario. Luego, puede selecionar las actividades de acuerdo al mail,  CiviCRM Contact ID, o una IdentififaciÃ³n Externa (ver el TIP siguiente)."
 
 #: templates/CRM/Activity/Import/Form/UploadFile.hlp
 msgid "Files to be imported must be in the 'comma-separated-values' format (CSV). Most applications will allow you to export records in this format. Consult the documentation for your application if you're not sure how to do this. Save this file to your local hard drive (or an accessible drive on your network) - and you are now ready for step 1 (Upload Data)."
-msgstr ""
+msgstr "Los archivos que van a ser importados deben ir 'separados-entre comas' para el formato (CSV). La mayorÃ­a de las aplicaciones serÃ¡n exportadas en registro con ese formato. Consulte la documentaciÃ³n sobte sus aplicaciones si no estÃ¡ seguro cÃ³mo realizarlo. Guarde este archivo en su disco duro (o en disco que tenga accesiblidad a su red) - y ahora preparase para el paso 1 (Upload Data)."
 
 #: templates/CRM/Activity/Import/Form/UploadFile.hlp
@@ -34,4 +34,7 @@
 "    "
 msgstr ""
+"<strong>TIP - Matching Activities to Contact Records</strong><br />\n"
+" CiviCRM permite indicar quÃ© actividad pertenece a un Ãºnico CiviCRM-asignado Contact ID, un Ãºnico Identificador Externo que le asignarÃ¡ O your\n"
+" configured \"strict\" Dedupe Rule set (que uncluye mails predeterminados). Debe incluir al menos valores para/como columnas en sus archivos importados.Si sincronizÃ³ (o va a migrar) contactos desde otras aplicaciones de  CiviCRM, y esa aplicaciÃ³n ha sido asignada a una Ãºnica ID para cada contacto, puede impotar valores dentro de Identificador Externo CiviCRM's de archivos. Puede usar una Ãºnica clave como  \"match to contact\" cuando importe informaciÃ³n relativa como Actividades y Contribuciones."
 
 #: templates/CRM/Admin/Form/Preferences/Address.hlp
@@ -117,5 +120,5 @@
 #: templates/CRM/Admin/Form/Setting/Component.hlp
 msgid "These optional components give you more tools to connect with and engage your supporters."
-msgstr ""
+msgstr "Estos componentes opcionales le permiten utilizar mÃ¡s herramientas para conectar con enlazaces para su soporte."
 
 #: templates/CRM/Admin/Form/Setting/Component.hlp
@@ -125,13 +128,13 @@
 #: templates/CRM/Admin/Form/Setting/Component.hlp
 msgid "<strong>CiviPledge</strong> - Record and track pledges received from contributors. Send pledge acknowledgements and payment reminders. Configure online contribution pages to support self-service pledging and pledge payments. Refer to the <a href='%1' target='_blank'>CiviPledge documentation</a> for more info."
-msgstr ""
+msgstr "<strong>CiviPledge</strong> - Registre y una garantÃ­a recibida desde sus contribiudores. Envie recordatorio del pago. Configure pÃ¡ginas de contribuiciones online para ayudar al sistema y en los pagos. Ir hacia  <a href='%1' target='_blank'>CiviPledge documentation</a> para mÃ¡s  informaciÃ³n."
 
 #: templates/CRM/Admin/Form/Setting/Component.hlp
 msgid "<strong>CiviMail</strong> - A robust mass-mailing component which allows you to engage your constituents with personalized email blasts and newsletters. Refer to the <a href='%1' target='_blank'>CiviMail Guide</a> for more info."
-msgstr ""
+msgstr "<strong>CiviMail</strong> - Una fuerte red de componentes de mails que permite enlazar las constituciones con la personalizaciÃ³n de mail y novedades.Ir a hacia <a href='%1' target='_blank'>CiviMail Guide</a> para mÃ¡s informaciÃ³n."
 
 #: templates/CRM/Admin/Form/Setting/Component.hlp
 msgid "<strong>CiviMember</strong> - A flexible membership management component which includes convenient online signup and renewal. Refer to the <a href='%1' target='_blank'>CiviMember Guide</a> for more info."
-msgstr ""
+msgstr "<strong>CiviMember</strong> - Un miembro flexible que maneja componentes que incluyen simples firmas online y nuevas. Ir hacia <a href='%1' target='_blank'>CiviMember Guide</a> para mÃ¡s informaciÃ³n."
 
 #: templates/CRM/Admin/Form/Setting/Date.hlp
@@ -145,9 +148,9 @@
 #: templates/CRM/Admin/Form/Setting/Debugging.hlp
 msgid "Set this value to <strong>Yes</strong> if you want to use one of CiviCRM's debugging tools."
-msgstr ""
+msgstr "Escriba los valores siguientes <strong>Yes</strong> si desea utilizar una de las herramientas de diagnÃ³stico CiviCRM's."
 
 #: templates/CRM/Admin/Form/Setting/Debugging.hlp
 msgid "This feature should NOT be enabled for production sites."
-msgstr ""
+msgstr "Este signatura deberÃ­a NO estar disponible para producir sitios."
 
 #: templates/CRM/Admin/Form/Setting/Debugging.hlp
@@ -233,5 +236,5 @@
 #: templates/CRM/Admin/Page/DedupeRules.hlp
 msgid "Manage the rules used to identify potentially duplicate contact records. Scan for duplicates using a selected rule and merge duplicate contact data as needed. Click <strong>Edit Rule</strong> to review or modify the rules for each type of contact. You will generally want to maintain both 'fuzzy' and 'strict' rules for each contact type."
-msgstr ""
+msgstr "Maneja los procesos para identificar potenciales registros de contactos duplicados. ScaneÃ© usando duplicados seleccionados y duplicados combinados de contactos como sea necesario. ClickeÃ© <strong>Edit Rule</strong> para reveer o modificar cada determinado tipo de contacto. Generelmente se usarÃ¡ ambos 'fuzzy' y 'strict' procedimientos para cada contacto."
 
 #: templates/CRM/Admin/Page/DedupeRules.hlp
@@ -245,9 +248,9 @@
 #: templates/CRM/Admin/Page/DedupeRules.hlp
 msgid "Configure up to five fields to evaluate when searching for 'suspected' duplicate contact records. For each field, set a numeric <strong>Weight</strong> which determines the relative importance of a match on that field."
-msgstr ""
+msgstr "Configure cinco archivos a evaluar cuando busque registros de contactos 'sospechosos' duplicados. Para cada archivo, seleccione un valor numÃ©rico <strong>Weight</strong> que determine la relativa importancia a asignar de cada archivo."
 
 #: templates/CRM/Admin/Page/DedupeRules.hlp
 msgid "You can also set a <strong>Length</strong> value which determines how many characters in the field should be compared."
-msgstr ""
+msgstr "Puede enviar valores  tambiÃ©n <strong>Length</strong> para determinar cuÃ¡ntos carÃ¡cteres en el archivo deben compararse."
 
 #: templates/CRM/Admin/Page/DedupeRules.hlp
@@ -281,9 +284,9 @@
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
 msgid "The URL for Authorize.net's LIVE Payment server. Use the default value unless otherwise advised by the processor."
-msgstr ""
+msgstr "La URL para el servidor Authorize.net's LIVE Payment. Use los valores predeterminados a menos que el procesador indique otra cosa."
 
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
 msgid "The URL for recurring payments. Use the default value unless otherwise advised by the processor."
-msgstr ""
+msgstr "La URL es recurrente a pagos. Use los valores predeterminados a menos que reciba otros procesos."
 
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
@@ -301,5 +304,5 @@
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
 msgid "The URL for Authorize.net's TEST Payment server. Use the default value unless otherwise advised by the processor."
-msgstr ""
+msgstr "La URL para el servidor Authorize.net's TEST Payment. Use los valores predeterminados a menos que el procesador indique otra cosa."
 
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
@@ -333,5 +336,5 @@
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
 msgid "The URL for PayPal's LIVE API gateway server. Use the default value (unless otherwise advised by PayPal):"
-msgstr ""
+msgstr "La URL es la puerta al servidor PayPal's LIVE API. Use los valores predeterminados (a menos que PayPal indique otra cosa)."
 
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
@@ -341,13 +344,13 @@
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
 msgid "TEST Account API Username:"
-msgstr ""
+msgstr "Nombre de la cuenta API TEST:"
 
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
 msgid "CiviCRM requires that you use the <strong>Signature-based API Credentials</strong> for PayPal Pro and Express. Enter your <strong>API Username</strong> as displayed in your TEST (sandbox) account's <strong>Profile - View API Signature</strong> screen."
-msgstr ""
+msgstr "Cuenta TEST y API contraseÃ±a:"
 
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
 msgid "TEST Account API Password:"
-msgstr ""
+msgstr "Cuenta TEST API contraseÃ±a:"
 
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
@@ -357,5 +360,5 @@
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
 msgid "TEST Account API Signature:"
-msgstr ""
+msgstr "Cuenta TEST API firma:"
 
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
@@ -373,5 +376,5 @@
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp
 msgid "LIVE Merchant Account Email Address:"
-msgstr ""
+msgstr "LIVE Cuenta de correo electrÃ³nico:"
 
 #: templates/CRM/Admin/Page/PaymentProcessor.hlp