Index: trunk/spip/esqueleto-redcta/plugins/magusine/lang/local_es_utf8.php
===================================================================
--- trunk/spip/esqueleto-redcta/plugins/magusine/lang/local_es_utf8.php	(revision 150)
+++ trunk/spip/esqueleto-redcta/plugins/magusine/lang/local_es_utf8.php	(revision 150)
@@ -0,0 +1,130 @@
+<?php
+
+// fichier de langue additif ARTY
+
+$GLOBALS[$GLOBALS['idx_lang']] = array(
+
+// PremiÃšre page
+  'theme' => 'Tema',
+  'acces_admin' => 'AdministraciÃ³n',
+  'arty_un_site_corsaires' => 'Sitio desarrollado por <a href="http://spip.redcta.org.ar" target="_blank">redCTA</a>',
+  'le_date' => 'El',
+  'suite' => 'ContinÃºa...',
+  'identification_visiteur'=>'Visitante',
+  'identifiez_vous'=> 'IdendifÃ­cate debajo',
+  'news'=> 'Novedades',
+  'derniers_forums'=>'Ãltimos foros',
+  'ici_les_derniers_forums'=> 'Cliquea aquÃ­ para ver los Ãºltimos foros',
+  'logout'=>'Desconectar',
+  'se_connecter_sous_un_autre_identifiant'=>'Conectarse con otro identificador',
+  'vous_etes_connecte' => 'Conectada(o)',
+  'accueil'=> 'Inicio',
+  'derniers_liens' => 'Ãltimos enlaces',
+  'voir_autres_editos' => 'Ver otros editoriales',
+  'navigation' => 'NavigaciÃ³n',
+  
+  //login
+  'enregistrement' => 'Acceso al espacio privado',
+  'choisir_langue' => 'Selecciona idioma',
+  
+  // feed rss
+  'feed'=>'Feed',
+  'filrsssite' => 'RSS del sitio',
+  'filrssrubrique'=> 'RSS de la secciÃ³n',
+  
+  // thickbox
+  'fermer' => 'Cerrar',
+  'ou_touche_ESC' => 'o ESC',
+  'precedente' => 'Ant.',
+  'suivante' => 'Sig.',
+  'image' => 'Imagen',
+  'de' => 'de',
+  
+  // image au hasard
+  'image_hasard' => 'Una imagen al azar',
+  'article_origine' => 'Ver el artÃ­culo',
+  
+  // lecteur audio et autres pieces jointes
+  'pour_ecouter_cliquez' => 'Cliquea para abrir el lector en una nueva ventana',
+  'lien_lecteur_standalone' => 'aquÃ­',
+  'galerie_image' => 'GalerÃ­a de imÃ¡genes',
+  'avis_telechargement_audio' => 'Descarga de mp3',
+  'galerie_audio' => 'GalerÃ­a de audio',
+  'galerie_video' => 'GalerÃ­a de vÃ­deo',
+  'piecesjointes' => 'Juntar',
+  
+  // page 404
+  'titre_404' => 'No existe la pÃ¡gina',
+  'texte_404' => 'Lo siento, esta pÃ¡gina no existe. <br />Volver a la pÃ¡gina principal del sitio <a href=\'spip.php\'>cliqueando aquÃ­</a>.',
+  
+  // newsletter
+  'inscription_newsletter' => 'InscripciÃ³n para recibir novedades',
+  'desabonnement' => 'Darse de baja',
+  
+  // page article 
+  'autres_articles' => 'En la misma secciÃ³n',
+  'a_propos_auteur' => 'Sobre el autor o autora',
+  'sites_associes' => 'Sitios relacionados',
+  'pas_de_titre' => 'Sin tÃ­tulo',
+  'telecharger_le_son' => 'Descargar el archivo de sonido (clic derecho)',
+  'podacsting' => 'Podcasting',
+  'article_contient_podcast' => 'Abonarse al podcast y descargar las Ãºltimas secuencias de este artÃ­culo en vuestro lector de podcast.',
+  'autres_articles' => 'Otros artÃ­culos en la secciÃ³n',
+  
+  // page auteur
+  'ecrire_a' => 'Escribir un mensaje',
+  'articles_auteur' => 'Ãltimos artÃ­culos publicados',
+  'autres_auteurs' => 'Otros autores o autoras',
+  'articles_associes' => 'ArtÃ­culos relacionados',
+  'pageauteur' => 'pÃ¡gina del autor o autora',
+  
+  // page rubrique
+  'rubriques_rubrique' => 'Subsecciones',
+  'rubrique_contient_podcast' => 'Abonarse al podcast y descargar las Ãºltimas secuencias de este artÃ­culo en vuestro lector de podcast.',
+  'raccourcis' => 'Atajos',
+  'son_hasard_branche' => 'Canciones al azar',
+  'proposer_un_site' => 'Proponer un enlace',
+  'derniers_articles_rubrique' => 'Ãltimos artÃ­culos en esta secciÃ³n',
+  
+  	// page mot
+	'autres_mots' => 'Otras palabras clave del grupo',
+	'mot_articles' => 'ArtÃ­culos',
+	'mot_rubriques' => 'Secciones',
+	'liste_mots' => 'Palabras clave',
+	'derniere_entree_groupe' => 'Ãltimas publicaciones',
+	'autre_groupe_mots' => 'Otros grupos de palabras clave',
+	'groupe_mot' => 'Grupo de palabras clave',
+	'liste_mots_cles' => 'Lista de palabras clave',
+	'mot_sites' => 'Sitios relacionados',
+	'mot_breves' => 'Breves relacionadas',
+	'tous_mots' => 'Todas las palabras clave',
+  
+  // page gabarit de liens
+  'sites_rubrique' => 'Sitios referenciados',
+  'liste_sites' => 'Lista de sitios',
+  
+  // page recherche
+  'recherche' => 'Buscar',
+  'resultat_pour' => 'RÃ©sultados para',
+  'resultat_recherche_articles' => 'En los artÃ­culos',
+  'resultat_recherche_rubriques' => 'En las secciones',
+  'resultat_recherche_breves' => 'En las breves',
+  'resultat_recherche_documents' => 'En los documentos',
+  'resultat_recherche_forums' => 'En los foros',
+  'resultat_recherche_liens' => 'En los enlaces',
+  
+  // page rubrique liens
+  'index_rubriques' => 'Ãndice de secciones',
+  
+  // bouton admin
+  'admin_magusine' => 'Acceso Magusine',
+    
+  // webmaton
+  'derniers_webmaton' => 'Ãltimos webmatons',
+  'questions_en' => 'Preguntas en ',
+  'mosaique' => 'mosaico',
+  'voir_aussi' => 'Ver tambiÃ©n',
+  'les_webmatons' => 'Las webmatons'
+  );
+
+?>