Index: trunk/gnome-theme-xp/change-default-to-xp.sh
===================================================================
--- trunk/gnome-theme-xp/change-default-to-xp.sh	(revision 191)
+++ trunk/gnome-theme-xp/change-default-to-xp.sh	(revision 192)
@@ -109,5 +109,5 @@
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/object_type" --type string "bonobo-applet"
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/panel_right_stick" --type bool FALSE
-gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/position" --type int 2
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/position" --type int 1
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/tooltip" --type string ""
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/toplevel_id" --type string "bottom_panel_0"
@@ -115,19 +115,35 @@
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/applets/applet_0/use_menu_path" --type bool FALSE
 
-# icedove
+# firefox
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/action_type" --type string "lock"
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/attached_toplevel_id" --type string ""
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/bonobo_iid" --type string ""
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/custom_icon" --type string ""
-gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/launcher_location" --type string "/usr/share/applications/icedove.desktop"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/launcher_location" --type string "/usr/share/applications/iceweasel.desktop"
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/locked" --type bool TRUE
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/menu_path" --type string "applications:/"
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/object_type" --type string "launcher-object"
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/panel_right_stick" --type bool FALSE
-gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/position" --type int 1
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/position" --type int 2
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/tooltip" --type string ""
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/toplevel_id" --type string "bottom_panel_0"
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/use_custom_icon" --type bool FALSE
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/use_menu_path" --type bool FALSE
+
+# icedove
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/action_type" --type string "lock"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/attached_toplevel_id" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/bonobo_iid" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/custom_icon" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/launcher_location" --type string "/usr/share/applications/icedove.desktop"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/locked" --type bool TRUE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/menu_path" --type string "applications:/"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/object_type" --type string "launcher-object"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/panel_right_stick" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/position" --type int 3
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/tooltip" --type string ""
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/toplevel_id" --type string "bottom_panel_0"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/use_custom_icon" --type bool FALSE
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/use_menu_path" --type bool FALSE
 
 # Window Switcher
@@ -219,4 +235,4 @@
 # Add Panels Items
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/general/applet_id_list" --type list --list-type string "[applet_0,applet_1,applet_2,applet_3,applet_4]"
-gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/general/object_id_list" --type list --list-type string "[object_0,object_1]"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/general/object_id_list" --type list --list-type string "[object_0,object_1,object_2]"
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/general/toplevel_id_list" --type list --list-type string "[bottom_panel_0]"