Index: /trunk/gnome-theme-xp/change-default-to-xp.sh
===================================================================
--- /trunk/gnome-theme-xp/change-default-to-xp.sh	(revision 207)
+++ /trunk/gnome-theme-xp/change-default-to-xp.sh	(revision 208)
@@ -34,11 +34,11 @@
 # Desktop Icons
 gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/computer_icon_visible" --type bool TRUE
-gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/computer_icon_name" --type string "Mi Compu"
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/computer_icon_name" --type string "Mi Pc"
 gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/home_icon_visible" --type bool TRUE
 gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/home_icon_name" --type string "Mis Documentos"
 gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/network_icon_visible" --type bool TRUE
-gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/network_icon_name" --type string "La red"
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/network_icon_name" --type string "La Red"
 gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/trash_icon_visible" --type bool TRUE
-gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/trash_icon_name" --type string "Basura"
+gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/trash_icon_name" --type string "Papelera"
 gconftool-2 --direct --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/nautilus/desktop/volumes_visible" --type bool FALSE
 
@@ -120,5 +120,5 @@
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/bonobo_iid" --type string ""
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/custom_icon" --type string ""
-gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/launcher_location" --type string "/usr/share/applications/iceweasel.desktop"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/launcher_location" --type string "/usr/share/applications/firefox.desktop"
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/locked" --type bool TRUE
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_1/menu_path" --type string "applications:/"
@@ -136,5 +136,5 @@
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/bonobo_iid" --type string ""
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/custom_icon" --type string ""
-gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/launcher_location" --type string "/usr/share/applications/icedove.desktop"
+gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/launcher_location" --type string "/usr/share/applications/thunderbird.desktop"
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/locked" --type bool TRUE
 gconftool-2 --direct  --config-source xml:readwrite:/etc/gconf/gconf.xml.defaults --set "/apps/panel/objects/object_2/menu_path" --type string "applications:/"